
var actiData;
function getHeaderData(){
    
	var activity_id = getLocVal("Bicycle_activity_id");
    var url = serverUrl + 'bicycle/get_bic_activity_detail.php?activity_id='+ activity_id;
            
    $.ajax({
        url: url,
        type: "post",
        dataType: "json",
        cache: false,
        success: function(data) {
            uexWindow.closeToast();
            if(data.length > 0){
                actiData = data;
                
                setLocVal("Activity_title", actiData[0].title);
                setLocVal("Activity_content", actiData[0].detail_text);
                
				initHeaderActivity();
				initTask();
				
				if(data[0].if_end == 0){
				    _isActi = true;
				    initActivityBtn(_isActi);
				}else{
				    _isActi = false;
				    initActivityBtn(_isActi);
				}
				
            }
        }
    });
}

function initHeaderActivity(){
	
	var time = actiData[0].activity_time;
	var p = actiData[0].activity_num;
	var km = actiData[0].activity_distance;
    
    var headerHtml = '<div id=""  class="ub ub-img7 ub-f1" style="background-image:url(\''+actiData[0].pic+'\');height:12em;" onclick="jumpInfo()">'
                +'<div id="" class="ub ub-ac p_opac_bg_wh p_float_l_b1" style="">'
                    +'<div id="" class="ub ub-f1 t-wh " style="font-size:0.8em;margin:0 1em">'
                        +'<div id="" class="ub ub-f1 ub-ac ziti_color1 umar-r" style="">'+'活动时间：'+time+'</div> '
                        //+'<div id="" class="ub t-wh ub-ac" style="font-size:0.9em;"> 参与人数：'+p+'人</div>'
                    +'</div>'
                +'</div>'
            +'</div>';
    
    $("#acti_header").html(headerHtml);
}

//设置任务描述
function initTask(){
	
	var taskHtml = '<div id="" class="ub ziti_color2 p_size_4" style="padding:0.5em 1em;line-height:1.5em;">'+actiData[0].detail_text+'</div>'
            +'<div id="" class="ub ub-f1" style="min-height:6em;margin:0.5em 0em;">';
			
			if(actiData[0].thumbnail){
                taskHtml += '<div id="" class="ub  ub-ac ub-pc" style="width:40%;height:5.5em;margin-left:1em;">'
                   +'<div id="" class="ub ub-img7 p_wh" style="background-image:url(\''+actiData[0].thumbnail+'\');border-radius:0.2em;"></div>'
                +'</div>';
			}
		taskHtml+='<div id="" class="ub ub-ver ub-f1 ziti_color3 p_size_3" style="width:60%;margin-left:1em;">'
                    +'<div id="" class="ub ub-f1 ub-ac" style="margin-right:1em; margin-bottom:0.8em;line-height:1.4em;">奖品规则:'+actiData[0].activity_rule+'</div>'
                    +'<div id="" class="ub ub-f1" style="margin-right:1em;line-height:1.4em;">活动奖品：'+actiData[0].activity_award+' </div>'
               +' </div>'
            +'</div>';
	$("#task").html(taskHtml);
}


//设置活动按钮
function initActivityBtn(isActi){
	
	if(isActi){
		$$("actiBtn").className = "ub ub-ac ub-pc p-ziti_bold acti_bg acti_ziti";
		$("#actiBtn").html("活动进行中");
	}else{
		$$("actiBtn").className = "ub ub-ac ub-pc p-ziti_bold no_acti_bg no_acti_ziti";
		$("#actiBtn").html("活动已结束");
	}
}


                
            

//------------------------------ 活动排名 -----------------------------//

function getRankingData(page, recs){
    
    var activity_id = getLocVal("Bicycle_activity_id");
    var urlStr = serverUrl + 'bicycle/get_bic_lend_rank.php?activity_id='+ activity_id
                                +"&page="+page +"&recs="+recs;

    $.ajax({
        url: urlStr,
        type: "post",
        dataType: "json",
        cache: false,
        success: function(data) {
            uexWindow.closeToast();
            if(data.length > 0){
                initActiRanking(page, data);
            }else{
                
                if(page == 1){
                    $$("ranking").innerHTML='<div class="ub ub-pc" style="color:#FFFFFF;font-size:0.8em;padding:0.5em 0em;">暂无活动排名！</div>';
                }else{
                    uexWindow.toast(0,5,"已没有更多数据...",1500);
                }
            }
        }
    });
}

function initActiRanking(page, data){
	
	var rankingHtml='';
	var len = data.length;
	
	for(var i= 0;i < len; i++){
		var obj = data[i];
		
		rankingHtml += '<div id="" class="ub ub-fh ub-ac ubb bor_clr" style="">'
                    +'<div id="" class="ub ub-img7" style="width:4em;height:4em;background-image:url(\''+obj.pics+'\');border-radius:50%;margin:0.5em 1em;"> </div>'
                    +'<div id="" class="ub ub-ver acti_ziti">'
                        +'<div id="" class="ub ub-f1 p-ziti_bold p_size_4" style="margin:0.2em ">'+obj.user_nick+'</div>'
                        +'<div id="" class="ub ub-ac ub-f1" style="margin:0.2em;">'
                            +'<div id="" class="p-ziti_bold p_size_4" >'+obj.bic_lend_num+'次</div>'
                            +'<div id="" class="p_size_3">&nbsp;&nbsp;&nbsp;| &nbsp;</div>'
                            +'<div id="" class="p-ziti_bold p_size_4" >'+obj.rank+'</div>'
                            +'<div id="" class="p_size_3" >&nbsp;名</div>'
                        +'</div>'
                    +'</div>'
                +'</div>';
	}
	
	if(page != 1){
        var d = document.createElement('DIV');
        d.className="ub ub-ver" 
        d.innerHTML = rankingHtml;
        $$("ranking").appendChild(d);
    }else {
        $("#ranking").html(rankingHtml);
    }
	
}
















