

/**-----------------------------slider 活动滚动图-----------------------***/
var bottomImgArr =[];
function getSliderData(){
	
	var url = serverUrl + 'bicycle/get_bic_recommend_roll_pic.php'
	
	$.ajax({
		url: url,
		type: "post",
		dataType: "json",
		cache: false,
		success: function(data) {
			if(data.length > 0){
				bottomImgArr = data;
				
				var view = new setSliderView(bottomImgArr,"#newSlider", clickDown);
				view.initSliderView("type", "pic", "detail_id");
				
			}
		}
	});
}

function clickDown(type, id){
	//alert(type+','+id)
	
	if(type ==0){ //0活动详情ID
	     ActivityInfo(id);
	}else if(type == 1){   //1线路详情ID
	    RouteInfo(id);
	}
} 

/**------------------------  活动  -------------------------------***/

var actiData= [];
function getActivityData(isHome, isHot, page, divName, height){
	
	var url = serverUrl + 'bicycle/get_bic_activity.php?'+'if_hot='+isHot+'&page='+page+'&recs=10';
	
	$.ajax({
		url: url,
		type: "post",
		dataType: "json",
		cache: false,
		success: function(data) {
			uexWindow.closeToast();
			if(data.length > 0){
				actiData = data;
				initActivityView(isHome, page, divName, height);
			}else{
			    uexWindow.toast(0,5,"已没有更多数据...",1000);
			}
			
			uexWindow.resetBounceView(1);
		}
	});
}

function initActivityView(isHome, page ,divName, height){
	var actiHml = '';
	
	if(isHome){
	actiHml += '<div id="" class="ub ub-ac  sc-bg  ub-ver p_margin_t " style="width:100%;">'
				+'<div id="" class="ub ub-ac ub-fh umar-t umar-b">'
                    +'<div id="" class="ub ub-f1 umar-l" style="font-size:0.9em">热门活动</div>'
                    +'<div id="" class="ub umar-r p_border p_padding p_border-radius ulev-1" style=""  onclick="moreActivity()">更&nbsp;&nbsp;多</div>'
                +'</div>'
                +'<div id="" class="ub ub-fh ub-ver " style="">';
	}
	
	var margin;
	var len = actiData.length;
	
	for(var i = 0; i<len;i++){
		var obj = actiData[i];
		actiHml += '<div id=""  class="ub ub-img7 ub-f1 " style="background-image:url(\''+obj.pic+'\');height:'+height+'em;margin-top:1px;" onclick="ActivityInfo(\''+obj.activity_id+'\',\''+obj.pic+'\')">'
					+'<div id="" class="p_black p_float_l_b p_opac_bg_wh" style=""></div>'
					+'<div id="" class="ub ub-ac p_opac_bg_wh p_float_l_b" style="">'
						+'<div id="" class="ub ub-f1 t-wh umar-l " style="font-size:0.8em">'
						+obj.activity_time
						+'</div>'
						//+'<div id="" class="ub t-wh umar-r " style="font-size:0.9em">参与人数:'+obj.activity_num+'人</div>'
					+'</div>'
				+'</div>'
	}	
	
	actiHml += '</div>';
	
	if(isHome) actiHml += '</div>';
	
	//$(divName).html(actiHml);
	
	
	if(page != 1){
        var d = document.createElement('DIV');
        d.className="ub ub-ver" 
        d.innerHTML = actiHml;
        //$$("ranking").appendChild(d);
        $$(divName).appendChild(d);
    }else {
       // $("#ranking").html(rankingHtml);
       $("#"+divName).html(actiHml);
    }
	
}


/**------------------------ 路线  -------------------------------***/

var routeData=[];
function getRouteData(isHome, isHot, page, divName, height){
	
	var url = serverUrl + 'bicycle/get_bic_route.php?'+'if_hot='+isHot+'&page='+page+'&recs=10';
	
	$.ajax({
		url: url,
		type: "post",
		dataType: "json",
		cache: false,
		success: function(data) {
			uexWindow.closeToast();
			if(data.length > 0){
				routeData = data;
				
				if(isHome){
					initRouteView(divName, height)
				}else{
					routeView(divName, height)
				}
				
			}else{
                uexWindow.toast(0,5,"已没有更多数据...",1000);
            }
			
			uexWindow.resetBounceView(1);
		}
	});
}

function initRouteView(divName, height){
	
	
	var headrHtml = '<div id="" class="ub ub-ac  sc-bg  ub-ver p_margin_t " style="width:100%;">'
						+'<div id="" class="ub ub-ac ub-fh umar-t umar-b">'
							+'<div id="" class="ub ub-f1 umar-l" style="font-size:0.9em">热门路线</div>'
							+'<div id="" class="ub umar-r p_border p_padding p_border-radius ulev-1" style="margin:0em 0.2em;" onclick="moreHotRoute()">更&nbsp;&nbsp;多</div>'
						+'</div>'
						+'<div id="hot_route1" class="ub ub-ver ub-fh " style=""></div>'
					+'</div>';
	
	$(divName).html(headrHtml);
	
	routeView("hot_route1", height);
	
}

function routeView(divName, height){
	
	var len = routeData.length;
	
	for(var i = 0; i<len;i++){
		
		var routeHtml = '';
		var obj = routeData[i];
		
		routeHtml += '<div id=""  class="ub ub-img7" style="background-image:url(\''+obj.pic+'\');height:10em;width:100%;margin-top:1px;" onclick="RouteInfo(\''+obj.route_id+'\',\''+obj.pic+'\')">'
                        +'<div id="" class="ub ub-ac p_opac_bg_wh p_float_l_b" style="">'
                            +'<div id="" class="ub ub-f1 t-wh umar-l" style="font-size:0.8em">'
                                //
                                +'<div id="xingxing'+i+'" class="ub " style="width:33.33%"> </div> '
                                +'<div id="" class="ub ub-pc" style="width:33.33%">里程:'+obj.route_distance+'km</div> '
                                +'<div id="" class="" style="width:33.33%;"><div class="umar-r" style="text-align:right;">'+obj.route_num+' 想去</div></div> '
								
                                //+'<div id="" class="ub t-wh umar-r" style="font-size:0.9em">'+3+'KM</div>'
                            +'</div>'
                        +'</div>'
                    +'</div>';
					
		var d1 = document.createElement('DIV');
		d1.className="p_margin_t0" 
		d1.innerHTML = routeHtml;
		$$(divName).appendChild(d1);
		
		var xx = XingXingHtml("#xingxing"+i);
		xx.setHtml("难度:&nbsp;", obj.difficulty_total, obj.difficulty);
		
	}
}
/**------------------------- 装备  ------------------------------***/
var EquipmentData=[];
function getEquipmentData(isHome,isHot, page, recs, divName, height){
	
	var url = serverUrl + 'bicycle/get_bic_recommand_equipment.php?'+'if_bike='+isHot+'&page='+page+'&recs='+recs;
	
	$.ajax({
		url: url,
		type: "post",
		dataType: "json",
		cache: false,
		success: function(data) {
			
			uexWindow.closeToast();
			
			if(data.length > 0){
				
				for (var i=0; i < data.length; i++) {
				    var obj = data[i];
				    EquipmentData.push(obj);
				};
				
				initEquipment(isHome, divName, height);
			}else{
                uexWindow.toast(0,5,"已没有更多数据...",1500);
            }
			
			uexWindow.resetBounceView(1);
		}
	});
}

function initEquipment(isHome, divName, height){
	
	var equipHtml = '';
	
	var margin = '',bg = '';
	isHome?margin="p_margin_t":margin=" ";
	isHome?bg="sc-bg":bg=" ";
	
	equipHtml += '<div id="" class="ub ub-ac '+bg+'  ub-ver '+margin+' " style="width:100%;">';
	
			if(isHome){
				equipHtml += '<div id="" class="ub ub-ac ub-fh umar-t umar-b">'
                    +'<div id="" class="ub ub-f1 umar-l" style="font-size:0.9em">推荐装备</div>'
                    +'<div id="" class="ub umar-r p_border p_padding p_border-radius ulev-1" style="margin:0em 0.2em;" onclick="moreEquipment()">更&nbsp;&nbsp;多</div>'
                +'</div>';
			}
                equipHtml += '<div id="" class="ub ub-ver ub-fh " style="margin-bottom:0.2em;">';
	
	var len = EquipmentData.length;
	for(var i = 0; i < len;i+=2){
		
		equipHtml += '<div id="" class="ub p_margin_t" style="width:100%;height:'+height+'em">';
            
			if(i <= (len-1)){
				var obj = EquipmentData[i];
				equipHtml +=  '<div id="" class="ub p_harf_W_wh" onclick="equipmentInfo('+obj.goods_id+')"> '
                            +'<div id="" class="ub ub-img7 ub-f1 p_margin " style="background-image:url(\''+obj.pic+'\')"></div>' 
                            +'<div id="" class="ub ub-ac ub-pc p_float_r_b t-wh p_black1 " style="height:1.2em;padding:0 0.3em;font-size:0.8em;margin:0.1em">敬请期待</div>'
                        +'</div>';
            }

			if((i+1) <= (len-1)){
				var obj = EquipmentData[i+1];
				equipHtml +=  '<div id="" class="ub p_harf_W_wh" onclick="equipmentInfo('+obj.goods_id+')"> '
                            +'<div id="" class="ub ub-img7 ub-f1 p_margin " style="background-image:url(\''+obj.pic+'\')"></div>' 
                            +'<div id="" class="ub ub-ac ub-pc p_float_r_b t-wh p_black1" style="height:1.2em;padding:0 0.3em;font-size:0.8em;margin:0.1em">敬请期待</div>'
                        +'</div>';
            } 
                        
		equipHtml += '</div></div>';
	}
	
	$(divName).html(equipHtml);
}












