Date.prototype.format = function(format) {
    var o = {
        "M+":this.getMonth() + 1,
        // month
        "d+":this.getDate(),
        // day
         "h+": this.getHours(),
        // hour
         "m+":this.getMinutes(),
        // minute
         "s+": this.getSeconds(),
        // second
         "q+": Math.floor((this.getMonth() + 3) / 3),
        // quarter
         "S":this.getMilliseconds()
        // millisecond
    };
    if (/(y+)/.test(format) || /(Y+)/.test(format)) {
        format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    }
    for (var k in o) {
        if (new RegExp("("+ k +")").test(format)) {
            format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00"+ o[k]).substr(("" + o[k]).length));
        }
    }
    return format;
};
function timestampformat(timestamp) {
    return (new Date(timestamp * 1000)).format("yyyy-MM-dd hh:mm:ss");
} 
function timestampformat2(timestamp) {
    return (new Date(timestamp * 1000));
} 

function getDateTimeStamp(dateStr){
    var date = new Date(dateStr);
    return  Date.UTC(date.getFullYear(),date.getMonth(),date.getDay(),date.getHours(),date.getMinutes(),date.getSeconds())/1000;
}

function getTime(day){ 

    re = /(\d{4})(?:-(\d{1,2})(?:-(\d{1,2}))?)?(?:\s+(\d{1,2}):(\d{1,2}):(\d{1,2}))?/.exec(day); 

    return new Date(re[1],(re[2]||1)-1,re[3]||1,re[4]||0,re[5]||0,re[6]||0).getTime()/1000; 

} 


function weiboTime(time) {
    
    publishTime = getTime(time);
    var timeNow=parseInt(new Date().getTime()/1000);
    var leftsecond=parseInt(timeNow - publishTime);
    d_year=parseInt(leftsecond/(3600*24*365)); //1小时=3600秒
    d_days=parseInt(leftsecond/(3600*24));
    d_hours=parseInt((leftsecond/3600));
    d_minutes=parseInt((leftsecond/60));
    d_seconds=parseInt(leftsecond);

    if(d_days>0 && d_days<3){
        if(d_days == 1) {
            return "昨天";    
        } else {
            return "前天";    
        }
    }else if(d_days<=0 && d_hours>0){        //
        return d_hours+"小时前";       
    }else if(d_hours<=0 && d_minutes>0){       
        return d_minutes+"分钟前";       
    }else if(d_minutes<=0 && d_seconds>0){
         return "刚刚";
    }else{       
        var timestamp = timestampformat(publishTime);
        var time = timestamp.split(" ");
        if(d_year > 1) {
            if(getLocVal("time_type") == 1) {
                clearLocVal("time_type");
                return time[0].split("-")[0]+"年"+time[0].split("-")[1]+"月"+time[0].split("-")[2]+'日';
            } else {
                return time[0].split("-")[0]+"年"+time[0].split("-")[1]+"月"+time[0].split("-")[2]+'日'+time[1].split(":")[0]+":"+time[1].split(":")[1];
            }   
        }
        else
        if(getLocVal("time_type") == 1) {
                clearLocVal("time_type");
                return time[0].split("-")[1]+"月"+time[0].split("-")[2]+'日';
            } else {
                return time[0].split("-")[1]+"月"+time[0].split("-")[2]+'日'+time[1].split(":")[0]+":"+time[1].split(":")[1];
            }
    }       
}

function play_time_lvyou(servertime, time) {
    publishTime = getTime(time);
    var timeNow=getTime(servertime);;
//  var timeNow=parseInt(new Date().getTime()/1000);
    var leftsecond=parseInt(publishTime - timeNow);
    d_year=parseInt(leftsecond/(3600*24*364));

    if(d_year >= 1) {
        return false; 
    } else {
        return true;
    }
}

function getCollectTime(){
    var date = new Date().format("MM-dd hh:mm");
    return date;
}

function getLoginTime(){
    var date = new Date().format("YYYY-MM-dd hh:mm:ss");
    return date;
}

function compareTime(time) {
    //var date = new Date(time);
//  var month = date.getMonth()+1; //js从0开始取 
    
    //var date3 = new Date();
    //var month3 = date3.getMonth()+1; //js从0开始取 


    publishTime = getTime(time);
    var timeNow=parseInt(new Date().getTime()/1000);
    var leftsecond=parseInt(timeNow - publishTime);
    d_days=parseInt(leftsecond/(3600*24));
    
    if (d_days > 30) {
        setLocVal("login_if", 0);
        setLocVal("reper", 0);      
        clearLocVal("phonenum");
        clearLocVal("password");
        clearLocVal("user_id");
        clearLocVal("nickname");
        clearLocVal("logintime");
        clearLocVal("reper");
        
        clearLocVal("access_token_qq");
        clearLocVal("refresh_token_qq");
        clearLocVal("openid_qq");
        clearLocVal("otherId");
        clearLocVal("userImg");
        
        clearLocVal("uid");
        clearLocVal("access_token");
        return false;
    } else {
        return true;
    }
}

var server_tour_time_sj;

function server_tour_time(server_time){
    server_tour_time_sj = server_time;
}


//判断旅游时间是否过期
function compar_tour_time(reserve_date){
    publishTime = getTime(reserve_date); //旅游时间
    var timeNow=getTime(server_tour_time_sj);;
    var timeNow = parseInt(new Date().getTime() / 1000); //当前时间
    var leftsecond = parseInt(publishTime - timeNow);
    if (leftsecond < 0) {
        return  0;  //过期
    }
    return 1;   //未过期
}




