

var serverUrl = 'http://sx.meilianji.cn/web/';

var screenW=640/32;
var screenH=1136/32;
/**
 * localStorage保存数据
 * @param String key  保存数据的key值
 * @param String value  保存的数据
 */
function setLocVal(key,value){
    window.localStorage[key] = value;
}

/**
 * 根据key取localStorage的值
 * @param Stirng key 保存的key值
 */
function getLocVal(key){
    if(window.localStorage[key])
        return window.localStorage[key];
    else
        return "";
}

/** 
 * 获取 和 清理缓存</BR>
 * key </BR>
 * b:是否清理 
 */
function getLocValForClear(key, b){
    var obj="";
    if(window.localStorage[key]){
        obj=window.localStorage[key];
        if(b) window.localStorage.removeItem(key);
    }
    
    return obj;
}

function int(s)
{
    return parseInt(s);
}


function float(s)
{
    return parseFloat(s);
}

function log(tip){
    //if (false) alert(tip);
}

/**
 * 清除缓存
 * @param Striong key  保存数据的key，如果不传清空所有缓存数据
 */
function clearLocVal(key){
    if(key)
        window.localStorage.removeItem(key);
    else
        window.localStorage.clear();
}

/** 打开界面  */
function viewOpen(n,dt){
    appcan.openWinWithUrl(n,dt);   
}

function $$(id) {
    return document.getElementById(id)
}

/** 生成json字符串  */
function json_stringify(obj){
    return JSON.stringify(obj);
}

/** 解析json字符串  */
function json_parse(obj){
    return JSON.parse(obj);
}

function loadChildView(titHeight, divName, htmlUrl){
    appcan.frame.open(divName, htmlUrl, 0, titHeight);
    window.onorientationchange = window.onresize = function() {
        appcan.frame.resize(divName, 0, titHeight);
    }
}

//打开广告网页
function openWebsite(url){
    if(uexWidgetOne.platformName=="android") {
        var data={"data":{"mimeType":"text/html","scheme":url}};
        data=JSON.stringify(data);
        uexWidget.startApp("1", "android.intent.action.VIEW", data);
    } else {
        var c = url;
        uexWidget.loadApp(c,null,null);
    }
}


function isAllSpace(str){
    for (var i=0; i < str.length; i++) {
          if(str[i] != " "){
              return false;
          }
    };
    
    // if(str === null || str === undefined || str === ''){
        // return true;
    // }else if (str.replace(/(^s*)|(s*$)/g, "").length ==0) 
    // {
        // return true;
    // }else{
        // return false;
    // }
    
    return true;
}

function getData_Notification(str, funcStr){
    uexWindow.onNotification = onNotification;
    uexWindow.subscribeChannelNotification(str, funcStr);
}

function pushData_Notification(str, name){
    uexWindow.publishChannelNotification(str,name);
}

/**
 * 判断是否是空
 * @param value
 */
function isDefine(value){
    if(value == null || value == "" || value == "undefined" || value == undefined || value == "null" || value == "(null)" || value == 'NULL' || typeof(value) == 'undefined'){
        return false;
    }
    else{
        value = value+"";
        value = value.replace(/\s/g,"");
        if(value == ""){
            return false;
        }
        return true;
    }
}

//呼叫父窗口方法
function callFatherFunc(func){
    uexWindow.evaluateScript('', '0', func);
}

/**
 * 呼叫子窗口方法</BR>
 * name </BR>
 * func：方法-字符串
 */
function callChildFunc(name, func){
    uexWindow.evaluatePopoverScript(name, "content", func);
}

function callF(name, funcName){
    uexWindow.evaluatePopoverScript(name, "content", funcName);
}

//打开自定义弹出窗口
function openSelfPopView(obj ,FName ,name, viewUrl){
    uexWindow.insertPopoverBelowPopover(FName,name);
    var sP = window.getComputedStyle(obj, null);
    uexWindow.openPopover(name, "0", viewUrl, "", int(0), int(0), int(sP.width), int(sP.height), int(sP.fontSize), "0");         
}


function addZero(num){
    var n = int(num);
    var str = n.toString();
    if(n<10){
        str='0'+n.toString();
    }
    return str;
}

/**
 * 根据page添加html
 */
function add_html(page, id, html){
    if(page != 1){
        var d = document.createElement('DIV');
        d.className="ub ub-ver" 
        d.innerHTML = html;
        $$(id).appendChild(d);
    }else {
        $("#"+id).html(html);
    }
}


var x_pi = 3.14159265358979324 * 3000.0 / 180.0; 
/**
 * google坐标转baidu坐标
 */
function google_to_baidu(gg_lat, gg_lon){
    var x = gg_lon, y = gg_lat;
    var z = Math.sqrt(x * x + y * y) + 0.00002 * Math.sin(y * x_pi);
    var theta = Math.atan2(y, x) + 0.000003 * Math.cos(x * x_pi); 
    var bd_lon = z * Math.cos(theta) + 0.0065;
    var bd_lat = z * Math.sin(theta) + 0.006;
    var bd_loc = [bd_lon,bd_lat]; 
    return bd_loc;
}
