var category_info = JSON.parse(getLocVal('select_category_info'));
var company_info = JSON.parse(getLocVal('company_info'));

var ifRead = true;

var time = new Date();
var address_obj = null;

var timeArr,
    timeIndex = -1;

appcan.ready(function() {
     appcan.initBounce();
     
     $(".companyImg")[0].style.backgroundImage = 'url(' + company_info.pic_url + ')';
     $(".name").html(company_info.name);
     var str = '';
     for (var i = 0; i < category_info.length; i++) str += category_info[i].category_name + ' ';
     $(".category_info").html(str);
     
     if(parseFloat(category_info[0].price)>0.00){
          $("#price").html('¥' + category_info[0].price);
          $(".payCategory").removeClass('uhide');
          $("#price1").html('¥' + parseFloat(category_info[0].price).toFixed(2));
          $(".payTips").removeClass('uhide');
          
          $(".bottomBtn").removeClass('uhide');
          var h = $(".bottomBtn")[0].offsetHeight;
          $("#xuzhi")[0].style.marginBottom = (h+20)+'px';
          
     }else{
          $("#price").html('¥0');
          $(".yuyueBtn").removeClass('uhide');
     }

     //uexWindow.evaluateScript('', '0', 'setPrice('+category_info[0].price+')');

     uexWindow.onNotification = onNotification;
     uexWindow.subscribeChannelNotification('Notification_submitOrder', 'onNotification');

     getAddressList();
     
     uexControl.cbOpenDatePicker  = cbOpenDatePicker ;
     initPay();
     initView();
    
});

function onNotification(obj) {
     if (obj == 'user_select_address') {
          address_obj = JSON.parse(getLocVal('user_address_obj'));
          setLocVal('user_address_obj', '');
          setAddress();
     }
}

/** 获取服务地址   */
function getAddressList() {
     var urlStr = globalUrl + '/wine/get_contactor_info.php?user_id=' + getLocVal("user_id");
     console.log('getAddressList:',urlStr);
     $.ajax({
          url : urlStr,
          type : "GET",
          dataType : "json",
          success : function(data) {
               if (data.length > 0) {
                    address_obj = data[0];
                    setAddress();
               }
          }
     });
}


/** 服务地址设置  */
function setAddress() {
     var html = ''
     if (address_obj != null) {
          html += '<div class="ub ub-img7" style="width:1.2em;height:1.3em;background-image:url(\'../img/dizhi-2.png\');"></div>'
           + '<div class="ub ub-ver ub-f1" style="margin-left:.7em;color:#000;">' 
           + '<div class="ub ub-f1 ub-ae">' 
           + '<div class="ub name" style="font-size:.95em;">' + address_obj.contactor_name + '</div>' 
           + '<div class="ub phone" style="font-size:.85em;color:#BBBBBB;margin-left:.4em;">' + address_obj.phone + '</div>' 
           + '</div>' + '<div class="ub ub-f1 umar-t address"  style="font-size:.9em;color:#545454;">' + address_obj.address + '</div>' 
           + '</div>' 
           + '<div class="ub ub-img7" style="width:.6em;height:1em;background-image:url(\'../img/gengduo.png\');"></div>';
     } else {
          html += '<div class="ub ub-img7" style="width:1.2em;height:1.3em;background-image:url(\'../img/dizhi-2.png\');"></div>'
           + '<div class="ub ub-f1" style="margin-left:.4em;font-size:.9em;color:#545454;color:#E77802">您还没有添加地址...</div>' 
           + '<div class="ub ub-img7" style="width:.6em;height:1em;background-image:url(\'../img/gengduo.png\');"></div>';
     }
     $(".addressView").html(html);
}


//******************************************* time ***********************************************//

function selectTime(index) {
     if (index == 1) {
          initLCalendar();
     }
}

/** select选择事件 */
function checkField(value) {
     timeIndex = value;
}

function initLCalendar() {
     uexControl.openDatePicker(time.getFullYear(), time.getMonth() + 1, time.getDate());
}

function cbOpenDatePicker(opId,dataType,data){
     //选择的时间
     var data = eval('('+data+')');
     var date = new Date(data.year, data.month - 1, data.day);
     //限制的时间节点 +1天
     var nowTime = new Date();
     var t = new Date(nowTime.getFullYear(), nowTime.getMonth(), nowTime.getDate());
     if (date.getTime() >= t.getTime()) {
          time = date;
          var tStr = data.year + '-' + addZero(data.month) + '-' + addZero(data.day);
          $("#time1").val(tStr);
          timeIndex = -1;
          company_work_time(tStr);
     } else {
          uexWindow.alert('提示', '请选择不小于当天的时间！', '确定')
     }
}


/** 可预约时间段   */
function company_work_time(timeStr) {
     uexWindow.toast(1, 5, "可预约时间段获取中...", 0);
     var urlStr = globalUrl + '/community/get_company_work_time.php?work_date=' + timeStr;
     $.ajax({
          url : urlStr,
          type : "GET",
          dataType : "json",
          success : function(data) {
               uexWindow.closeToast();
               if (data.length > 0) {
                    timeArr = data;
                    var html = '<select class="ub ub-f1" selectedindex="-1" onchange="checkField(this.value)">';
                    html += '<option style="text-align: center;" value ="-1">请选择预约时间段</option>'
                    for (var i = 0; i < data.length; i++) {
                         html += '<option style="text-align: center;" value ="' + i + '">' + data[i].work_time + '</option>'
                    }
                    html += '</select>';
                    $("#work_time").html(html);
               } else {
                    timeArr = [];
                    $("#work_time").html('<div class="ub ub-f1" style="font-size:.8em;color:#808080;">今天预约时间段已过!</div>');
               }
          }
     });
}


//***************************************************************************************//

/** 选择的图片数组 */
var imgArr = [];

function initView() {

     uexCamera.cbOpen = function(opCode, dataType, data) {
          imgArr.push(data);
          setImageHtml();
     }

     uexImage.onPickerClosed = function(info) {
          var data = JSON.parse(info);
          //要进行json解析 在获取数据
          if (!data["isCancelled"]) {
               var arr = data["data"];
               for (var i = 0; i < arr.length; i++) {
                    imgArr.push(arr[i]);
               }
               setImageHtml();
          }
     }

     uexUploaderMgr.cbCreateUploader = function(opCode, dataType, data) {
          if (data == 0) {
               uexUploaderMgr.uploadFile(1, upload_image_url, "filename", 1);
          }
     }

     uexUploaderMgr.onStatus = function(opCode, fileSize, percent, serverPath, status) {
          switch (status) {
          case 0:
               uexWindow.toast("1", "5", '图片上传:' + percent + "%", "0");
               break;
          case 1:
               uexWindow.closeToast();
               //关闭提示消息框
               uexUploaderMgr.closeUploader(1);
               uploadImg();
               break;
          case 2:
               isUpDt = false;
               uexWindow.closeToast();
               //关闭提示消息框
               uexWindow.toast(0, 5, "出错啦~", 2000);
               uexUploaderMgr.closeUploader(1);
               break;
          }
     }
}

//***************************************************************************************//

function actionsheetfun() {
     uexActionSheet.onClickItem = function(data) {
          if (data == 0) {
               //alert('000');
               uexCamera.open();
          } else if (data == 1) {
               var m = 5 - imgArr.length;
               var data = {
                    min : 1,
                    max : m,
                    quality : 0.5,
                    detailedInfo : true
               }
               var json = JSON.stringify(data);
               // alert('111');
               uexImage.openPicker(json);
          }
     }
     showActionSheet([{
          name : "拍照"
     }, {
          name : "从手机相册选择"
     }]);
}

function showActionSheet(arr) {
     var data = {
          "actionSheet_style" : {
               "frameBgColor" : "#ffffff",
               "frameBroundColor" : "#ffffff",
               "frameBgImg" : "",
               "btnSelectBgImg" : "res://btn-act.png",
               "btnUnSelectBgImg" : "res://btn.png",
               "cancelBtnSelectBgImg" : "res://cancel-act.png",
               "cancelBtnUnSelectBgImg" : "res://cancel.png",
               "textSize" : "17",
               "textNColor" : "#ffffff",
               "textHColor" : "#22ade5",
               "cancelTextNColor" : "#ffffff",
               "cancelTextHColor" : "#22ade5",
               "actionSheetList" : arr
          }
     };
     var JsonData = JSON.stringify(data);
     uexActionSheet.open(0, 0, 0, 0, JsonData);
}

function setUserImg() {
     if (imgArr.length < 5) {
          actionsheetfun();
     } else {
          uexWindow.alert('提示', '最多可以上传5张图片', '确定');
     }
}

//设置选择的图片
function setImageHtml() {
     var html = '';
     for (var i = 0; i < imgArr.length; i++) {
          html += '<li><div class="ub ub-img7 img-size" style="background-image:url(\'' + imgArr[i] + '\');" onclick="setImg('+i+')"></div></li>';
     };
     if (imgArr.length < 5)
          html += '<li><div class="ub ub-img7 img-size" style="background-image:url(\'../img/addImg.png\');" onclick="actionsheetfun()"></div></li>';
     $(".imgBox").html(html);
}

function setImg(index) {
     uexActionSheet.onClickItem = function(data) {
          if (data == 0) {
               var tmpArr =[];
               tmpArr = imgArr;
               imgArr = [];
               for (var i=0; i < tmpArr.length; i++) {
                  if(i != index) imgArr.push(tmpArr[i]);
               };
               setImageHtml();
          } 
     }
     showActionSheet([{ name : "删除"}]);
}
//*****************************************************************************//

var if_yuyue=false;
function yuyueEvent(){
     if_yuyue = true;
     submitOrder();
}



var isUpDt = false;
var upload_image_url = '';
/** 图片在服务器名称  */
var array = [];

//订单提交
function submitOrder() {
     if (isUpDt) return;

     var arr = document.querySelectorAll(".gou.gou-img-select");
     
     if (address_obj == null) {
          uexWindow.alert('提示', '请选择服务地址', '确定');
     }else if (timeIndex == -1) {
          uexWindow.alert('提示', '请选择服务时间', '确定');
     }else if (arr.length == 0) {
          uexWindow.alert('提示', '请阅读并同意《用户购买须知》', '确定');
     }else {
          uexWindow.toast(1, 5, "预约订单提交中...", 0);
          isUpDt = true;
          array = [];
          if (imgArr.length > 0) uploadImg();
          else{ 
               getIphoneEncrypt();
          }
     }
}

function uploadImg() {

     var len = imgArr.length; //3
     var len1 = array.length; //0

     if (len > 0 && len1 < len) {
          var d = new Date();
          var imgName = d.getTime() + getLocVal("user_id");
          array.push(imgName);
          upload_image_url = imgArr[len1];
          var uploadHttp = globalUrl1 + "/community/uploadimg/index.php?imgName=" + imgName;
          uexUploaderMgr.createUploader(1, uploadHttp);
     } else {
          getIphoneEncrypt();
     }
}

//********************************************* 免费预约   ****************************************************//

function createFreePayment(cbExec) {

     var message = $("#message").val();
     var len = imgArr.length;
     var imgStr = '';
     for (var i = 0; i < len; i++) {
          var imgUrl = imgArr[i];
          imgStr += "/community/uploadpics/" + array[i] + "." + getImgName(imgUrl);
          if (len - 1 > i) imgStr += ";";
     };

     var url = globalUrl + "/community/free_payment.php"
     var str = "amount=" + category_info[0].price * 100 
             + "&total_amount=" + category_info[0].price * 100
             + "&category_id=" + category_info[0].category_id 
             + "&main_id="+getLocVal('zhsq_main_id')
             + "&user_id=" + getLocVal("user_id") 
             + "&file_name=" + phoneNumEncrype 
             + "&verify=" + cbExec 
             + "&company_id=" + company_info.company_id 
             + "&remarks=" + message 
             + "&remarks_pic="+imgStr
             + "&contactor_id=" + address_obj.contactor_id
             + "&contactor_name=" + address_obj.contactor_name 
             + "&phone=" + address_obj.phone
             + "&address=" + address_obj.address
             + "&work_date=" +  time.getFullYear()+'-'+(time.getMonth()+1)+'-'+time.getDate()
             + "&work_time=" + timeArr[timeIndex].work_time
             + "&options=" + '' 
             + "&order_number=" + order_number;

     $.ajax({
          url : url,
          type : "GET",
          cache : false,
          dataType : 'json',
          data : str,
          success : function(data) {
               if (data[0].resultid == 0){
                    uexWindow.closeToast();
                    uexWindow.toast(1, 5, "免费预约成功", 1000);
                    setTimeout(function() {
                         uexWindow.evaluateScript("", "0", "jumpOrder()");
                    }, 900);
               }
               else{
                    isUpDt = false;
                    uexWindow.alert('系统提示', data[0].message, '确定');
                }
          },
          error : function() {
               uexWindow.closeToast();
               isUpDt = false;
               uexWindow.alert("提示", "网络错误！", "确定");
          }
     });
}

//********************************************* 支付  ****************************************************//

/**  支付回调    */
function initPay() {
     //支付宝支付回调
     uexAliPay.onStatus = paySuccess;
     //加密回调
     uexEncrypt.cbExec = function(opCode, dataType, data) {
          var cbExec = data.toLowerCase();
          subOrders(cbExec);
     }
}

var pay_way = 0;

var phoneNumEncrype,
    order_number;
//加密
function getIphoneEncrypt() {
     //获取订单号
     var url = globalUrl + "/verifyfile/createverifyfile.php?phone=" + getLocVal("phonenum") + "&module_id=" + "22" + "&user_id=" + getLocVal("user_id");
     $.getJSON(url, function(data) {
          order_number = data[0].order_number;
          phoneNumEncrype = data[0].message;
          uexEncrypt.exec(getLocVal("user_id"), getLocVal("password"), phoneNumEncrype, category_info[0].price * 100);
     }, "text", function() {
     }, "GET", "", true);
}

function subOrders(cbExec) {
     
     if(if_yuyue){ //免费预约
          createFreePayment(cbExec);
     }else{
          /** 获取支付方式 */
          var arr = document.getElementsByName("pay");
          for (var i = 0; i < arr.length; i++) {
               if (arr[i].checked) pay_way = i;
          };
          if (pay_way == 1) createUpay(cbExec);
          else if (pay_way == 0) createAlipay(cbExec);
     }
}

//创建银联订单
function createUpay(cbExec) {

     var message = $("#message").val();
     var len = imgArr.length;
     var imgStr = '';
     for (var i = 0; i < len; i++) {
          var imgUrl = imgArr[i];
          imgStr += "/community/uploadpics/" + array[i] + "." + getImgName(imgUrl);
          if (len - 1 > i) imgStr += ";";
     };

     var url = globalUrl + "/community/chinapay/pay/purchase_company.php"
     var str = "amount=" + category_info[0].price * 100 
             + "&total_amount=" + category_info[0].price * 100
             + "&category_id=" + category_info[0].category_id 
             + "&main_id="+getLocVal('zhsq_main_id')
             + "&user_id=" + getLocVal("user_id") 
             + "&file_name=" + phoneNumEncrype 
             + "&verify=" + cbExec 
             + "&company_id=" + company_info.company_id 
             + "&remarks=" + message 
             + "&remarks_pic="+imgStr
             + "&contactor_id=" + address_obj.contactor_id
             + "&contactor_name=" + address_obj.contactor_name 
             + "&phone=" + address_obj.phone
             + "&address=" + address_obj.address
             + "&work_date=" +  time.getFullYear()+'-'+(time.getMonth()+1)+'-'+time.getDate()
             + "&work_time=" + timeArr[timeIndex].work_time
             + "&options=" + '' ;
             
     $.ajax({
          url : url,
          type : "POST",
          cache : false,
          dataType : 'json',
          data : str,
          success : function(data) {
               if (data[0].resultid == 0) {
                    var tn = data[0].message;
                    startUpay(tn);
               } else {
                    uexWindow.alert("提示", data[0].message, "确定");
               }
          },
          error : function() {
               uexWindow.closeToast();
               uexWindow.alert("提示", "网络错误！", "确定");
          }
     });
}

function startUpay(str) {
     var mode = '00';
     //测试时是01，如果是正式环境了，则是00;
     //uexUnionpay.openUpay(orderInfo,spId,sysProvider,mode);//执行支付
     var params = {orderInfo : str,mode : "00"};
     uexUnionPay.startPay(params, function(error) {
          if (!error) {
               uexWindow.closeToast();
               uexWindow.toast(1, 5, "支付成功", 1000);
               setTimeout(function() {
                    uexWindow.evaluateScript("", "0", "jumpOrder()");
               }, 500);
          } else {
               uexWindow.closeToast();
               uexWindow.alert('系统提示', '支付失败或您已取消支付，请重新支付！', '确定');
          }
     });
}

/////////////////////////////////////////////////////////////////////////////////////////////////////

var partner = "2088431744568080";
var seller = "zaidonggang@126.com";
var rsaPrivate = 'MIICeQIBADANBgkqhkiG9w0BAQEFAASCAmMwggJfAgEAAoGBAM5E6uZhxIHiahSm'
+'xRZ0R3dUBx5vzlXhtuhPzaPdX1kodC+SVFOi1SFZCg0vK+PwSU62jvFK4r9EsS7/'
+'SD81pu/1C9v9niNH048UWLZAU15kl4zV+8Lv0jXL6cSLpDi2G37t0V4C7QOHFBGF'
+'wq7TzhidAJyJt+IEiNtwcTZy6y+xAgMBAAECgYEAprW8xIawM+myow5GrGc+e4tG'
+'Vas3sOHE2u3k3lPFBGJVxT0XOqGYcGNuZEmDx64lEaEq1ooXyU7ThZB969iJGmQE'
+'CTfc7yVt1yJPYPgM7bxs6i+unGFWIRFPPFEZzizCP7tYz9pTXImB8lQalVAgpFxF'
+'Ad4MTPPstPJ4siT93YECQQDqipXjbbkdIQwAPRaaLIIlYG3kxQv57t5l+y0/7cOB'
+'LdOtnUDGMbo4jUfQUR3RepPQCryGLaaeSOKNxX7BczatAkEA4SQkwR094lTOFm9b'
+'GVg1F5wU3f5SWtRxnZugsI9LOUG+SRgHLt/AuAzb7ejDajqFAkXN52abcRtQT4YT'
+'B+JxlQJBALFJzqFaeFo3d73ab3JdAIfGS2tpM3Nah4wpAHxZerXz8RVEUAlA35YN'
+'3WHvXw3QjVjuNLFsYo01ZONrjTQnpgUCQQDHUHslZ6DYlSFZ5T1uI5PlEe27ViJM'
+'fRUUZamNhV4gE17FUPtS+Q2hIuk1JsKRcbs89tVBjaoBKSAhNt30Nfk9AkEAmm+p'
+'QNr+YdWQRQZEz9JVXG3FaKciwFhC6Qy6zUPujwjECOE98D4faiodxP9AZ3vKKXNE'
+'0s3iR3BIJ+3qq7KvxQ==';
var rsaPublic = "MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDOROrmYcSB4moUpsUWdEd3VAceb85V4bboT82j3V9ZKHQvklRTotUhWQoNLyvj8ElOto7xSuK/RLEu/0g/Nabv9Qvb/Z4jR9OPFFi2QFNeZJeM1fvC79I1y+nEi6Q4tht+7dFeAu0DhxQRhcKu084YnQCcibfiBIjbcHE2cusvsQIDAQAB";


//创建支付宝订单
function createAlipay(cbExec) {

     var message = $("#message").val();
     var len = imgArr.length;
     var imgStr = '';
     for (var i = 0; i < len; i++) {
          var imgUrl = imgArr[i];
          imgStr += "/community/uploadpics/" + array[i] + "." + getImgName(imgUrl);
          if (len - 1 > i) imgStr += ";";
     };

     var url = globalUrl + "/community/alipay/alipay_company.php"
     var str = "amount=" + category_info[0].price * 100 
             + "&total_amount=" + category_info[0].price * 100
             + "&category_id=" + category_info[0].category_id 
             + "&main_id="+getLocVal('zhsq_main_id')
             + "&user_id=" + getLocVal("user_id") 
             + "&file_name=" + phoneNumEncrype 
             + "&verify=" + cbExec 
             + "&company_id=" + company_info.company_id 
             + "&remarks=" + message 
             + "&remarks_pic="+imgStr
             + "&contactor_id=" + address_obj.contactor_id
             + "&contactor_name=" + address_obj.contactor_name 
             + "&phone=" + address_obj.phone
             + "&address=" + address_obj.address
             + "&work_date=" +  time.getFullYear()+'-'+(time.getMonth()+1)+'-'+time.getDate()
             + "&work_time=" + timeArr[timeIndex].work_time
             + "&options=" + '' 
             + "&order_number=" + order_number;

     $.ajax({
          url : url,
          type : "GET",
          cache : false,
          dataType : 'json',
          data : str,
          success : function(data) {
               if (data[0].resultid == 0) open_alipay();
               else uexWindow.alert('系统提示', data[0].message, '确定');
          },
          error : function() {
               uexWindow.closeToast();
               uexWindow.alert("提示", "网络错误！", "确定");
          }
     });
}

//打开支付宝支付
function open_alipay() {
     var notifyUrl = globalUrl + "/community/alipay/notify_url_company.php";
     uexAliPay.setPayInfo(partner, seller, rsaPrivate, rsaPublic, notifyUrl);
     var subject = company_info.name + '(' + category_info[0].category_name + ')服务项目预定';
     var body = subject + category_info[0].price + "元";
     uexAliPay.pay(order_number, subject, body, category_info[0].price);
}

//支付宝支付结果回调
function paySuccess(status, des) {
     if (des == '支付成功') {
          uexWindow.closeToast();
          uexWindow.toast(1, 5, "支付成功", 1000);
          setTimeout(function() {
               uexWindow.evaluateScript("", "0", "jumpOrder()");
          }, 500);
     } else {
          uexWindow.closeToast();
          uexWindow.alert('系统提示', '支付取消', '确定');
     }
}

function payFailed(opCode, errorCode, des) {
     uexWindow.alert('系统提示', des, '确定');
}

//********************************************* end  ****************************************************//

function addZero(num){
    var n = parseInt(num);
    var str = n.toString();
    if(n<10){
        str='0'+n.toString();
    }
    return str;
}

function getImgName(imgUrl) {
     var str = imgUrl.split(".");
     var name = str[str.length - 1];
     return name;
}

function selectAddress() {
     setLocVal('address_viewGoing', 2);
     setLocVal("Notification_name",'Notification_submitOrder');
     appcan.openWinWithUrl('user_address','../../UserAddress/user_address.html'); 
}

function gouClick() {
     if (ifRead) {
          ifRead = false;
          $(".gou").removeClass('gou-img-select').addClass('gou-img');
     } else {
          ifRead = true;
          $(".gou").removeClass('gou-img').addClass('gou-img-select');
     }
}

function userNotes(event) {
     eventFunc(event);
     appcan.openWinWithUrl('yonghuxuzhi', 'yonghuxuzhi.html');
}
