var globalUrl = "http://sx.meilianji.cn/web";

 function AccordionMenu(options) {
	this.config = {
		containerCls        : '.wrap-menu',
		menuArrs            :  '',        
		type                :  'click',   
		renderCallBack      :  null,      
		clickItemCallBack   : null        
	};
	this.cache = {
		
	};
	this.init(options);
 }

 
 AccordionMenu.prototype = {

	constructor: AccordionMenu,

	init: function(options){
		this.config = $.extend(this.config,options || {});
		var self = this,
			_config = self.config,
			_cache = self.cache;
		
		$(_config.containerCls).each(function(index,item){
			
			self._renderHTML(item);

			self._bindEnv(item);
		});
	},
	_renderHTML: function(container){
		var self = this,
			_config = self.config,
			_cache = self.cache;
		var ulhtml = $('<ul></ul>');
		
		$(_config.menuArrs).each(function(index,item){
			var lihtml = $('<li class="ub ub-ver"><div class="ub ub-ac" style="font-size:1em">'+item.name+'</div></li>'
			+'<div style="height:0.5em;background-color:#f4f4f4">'
            +'</div>');

			if(item.submenu && item.submenu.length > 0) {
				self._createSubMenu(item.submenu,lihtml);
			}
			$(ulhtml).append(lihtml);
		});
		$(container).append(ulhtml);
		
		_config.renderCallBack && $.isFunction(_config.renderCallBack) && _config.renderCallBack();
		
		self._levelIndent(ulhtml);
	},
	/**
	 * @param {array} 
	 * @param {lihtml} 
	 */
	_createSubMenu: function(submenu,lihtml){
		var self = this,
			_config = self.config,
			_cache = self.cache;
		var subUl = $('<ul></ul>'),
			callee = arguments.callee,
			subLi;
		
		$(submenu).each(function(index,item){
			var url = item.url || 'javascript:void(0)';
			var id = item.doctor_id
			subLi = $('<li style="font-size:1em"><a  class="ubb ub ub-ac" style="border-color:#e8e8e8;font-size:1em" onclick="openSelectDoctor('+id+')">'+item.name+'</a></li>');
			if(item.submenu && item.submenu.length > 0) {

				$(subLi).children('a').prepend('<img src="../images/blank.gif" alt=""/>');
                callee(item.submenu, subLi);
			}
			$(subUl).append(subLi);
		});
		$(lihtml).append(subUl);
	},
	/**
	 * 
	 */
	_levelIndent: function(ulList){
		var self = this,
			_config = self.config,
			_cache = self.cache,
			callee = arguments.callee;
	   
		var initTextIndent = 1,
			lev = 1,
			$oUl = $(ulList);
		
		while($oUl.find('ul').length > 0){
			initTextIndent = parseInt(initTextIndent,10) + 1 + 'em'; 
			$oUl.children().children('ul').addClass('lev-' + lev)
						.children('li').css('text-indent', initTextIndent);
			$oUl = $oUl.children().children('ul');
			lev++;
		}
		$(ulList).find('ul').hide();
		$(ulList).find('ul:first').show();	
	},
	/**
	 * 
	 */
	_bindEnv: function(container) {
		var self = this,
			_config = self.config;

		$('div,a',container).unbind(_config.type);
		$('div,a',container).bind(_config.type,function(e){
			if($(this).siblings('ul').length > 0) {
				$(this).siblings('ul').slideToggle('slow').end().children('img').toggleClass('unfold');
			}

			$(this).parent('li').siblings().find('ul').hide()
				   .end().find('img.unfold').removeClass('unfold');
			_config.clickItemCallBack && $.isFunction(_config.clickItemCallBack) && _config.clickItemCallBack($(this));

		});
	}
 };
 
 function openSelectDoctor(id) {
     appcan.window.open({
         name:"selectDoctor",
         dataType:0,
         aniId:2,
         data:"../selectDoctor/selectDoctor.html",
         animDuration:"500",
         extraInfo:{
             opaque:true,
             bgColor:"#c0c0c0"
         }
    });
 }

function zy_init()
{
    if(window.navigator.platform=="Win32")
        document.body.style.fontSize=window.localStorage["defaultfontsize"];
}