


//-----------打开地图-------------------
function openmap() {
    var x = 0;
    var y = $$("header").offsetHeight + 30;
    var plat = uexWidgetOne.getPlatform();
    if (getPlatform_val == "ios") {
        uexBaiduMap.open(0, y, window.screen.width, window.screen.height - y - $$("footer").offsetHeight - 60, '119.686833', '30.644175');
    } else {
        uexBaiduMap.open(0, $$("header").offsetHeight, screen.width, $('body').height() - $$("header").offsetHeight - $$("footer").offsetHeight, '119.686833', '30.644175');
    }
}

//
//function openmap(){
//
//              var y = int((100/1136)*screenH);
//
//              var w = screenW;
//              var h = screenH - int((280/1136)*screenH);
//              uexBaiduMap.open(0, y, w, h,'119.686833','30.644175');
//          }

//-------------添加标注-------------------

function addMark(makerInfo) {

    uexBaiduMap.addMarkersOverlay(makerInfo);

    var makerId = "userPlace";
    makerInfo = '{"makerInfo":{"bubble":{"title":"' + userAddress + '"}}}';
    uexBaiduMap.setMarkerOverlay(makerId, makerInfo);

}

//-------------添加自行车标注----------------------------
function bikeAddMark() {

    for (var ia = 0; ia < datas.length; ia++) {
        if (datas[ia].distance <= 1500) {

            var site_id_p = datas[ia].site_id;
            var longitude_p = datas[ia].longitude;
            var latitude_p = datas[ia].latitude;
            var site_address = datas[ia].site_address;

            if (site_id_p != null && site_id_p != "" && longitude_p != null && longitude_p != "" && latitude_p != null && latitude_p != "" && site_address != null && site_address != "" && site_id_p != null && site_id_p != "") {
                var makerInfo = '[{"id":"' + site_id_p + '","longitude":"' + longitude_p + '","latitude":"' + latitude_p + '"}]';
                var makerId = site_id_p;
                var currentId = makerId;
                uexBaiduMap.addMarkersOverlay(makerInfo);

                var makerInfo = '{"makerInfo":{"bubble":{"title":"位置:' + site_address + '"}}}';
                uexBaiduMap.setMarkerOverlay(makerId, makerInfo);

            }
        }
    }

}

//--------------设置自行车标注气泡----------------------

function setBikeMarkover(makerId, makerInfo) {

}

//--------------设置当前位置标注气泡----------------------

function setMarkover(makerId, makerInfo) {
    uexBaiduMap.setMarkerOverlay(makerId, makerInfo);
    uexBaiduMap.showBubble(makerId);
}

//===========================获取数据============================================

var selectBike;
//从数据库获取信息
function getMessage() {
    //          var Url= globalUrl+"/bike/bic_web_site.php?page=0&recs=1000";
    var Url = globalUrl + "/bike1/bic_web_site.php?page=0&recs=1000";
    $.getJSON(Url, function(data) {
        selectBike = data;
        getListJson();
        //  alert("执行过了从数据库获取数据");
    }, "json", function() {
    }, "get", "", true);
}

//========================封装成json========================================
var listdata;
var site_id;
var site_name;
var bicycles_null;
var bicycles_canBorrow;
var distance;
var site_address;
var klength;
function getListJson() {
    for (var i = 0; i < selectBike.length; i++) {

        var vlng2 = selectBike[i].longitude;
        var vlat2 = selectBike[i].latitude;

        getDistance(currLng, currLat, vlng2, vlat2, i);
    }
    bikeAddMark();
}

//==========================================================================
//=======================通过经纬度算距离=======================================
var EARTH_RADIUS = 6378137.0;
//单位M
var PI = Math.PI;
var datas = [];

function getRad(d) {
    return d * PI / 180.0;
}

function getDistance(vlng1, vlat1, vlng2, vlat2, kz) {
    var radLat1 = getRad(vlat1);
    var radLat2 = getRad(vlat2);
    var a = radLat1 - radLat2;
    var b = getRad(vlng1) - getRad(vlng2);

    var s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a / 2), 2) + Math.cos(radLat1) * Math.cos(radLat2) * Math.pow(Math.sin(b / 2), 2)));
    s = s * EARTH_RADIUS;
    s = Math.round(s * 10000) / 10000.0;

    s = s.toFixed(2);

    datas[kz] = {
        "site_id" : selectBike[kz].site_id,
        "site_name" : selectBike[kz].site_name,
        "bicycles_null" : selectBike[kz].bicycles_null,
        "bicycles_canBorrow" : selectBike[kz].bicycles_canBorrow,
        "site_address" : selectBike[kz].site_address,
        "longitude" : selectBike[kz].longitude,
        "latitude" : selectBike[kz].latitude,
        "distance" : s
    };

}

//--------------------显示标注信息----------------------------
function setShowMess(markId) {
    
    if (markId == "userPlace") {
        var html = '<div class="ub ub-ac ub-pc" style="font-size:0.9em;width:100%;height:' 
                    + (135 / 1136) * screenH 
                    + 'em;">当前位置:<span>' 
                    + userAddress 
                    + '</span></div>';
                    
        $$('footer').innerHTML = html;
    } else {

        for (var i = 0; i < datas.length; i++) {
            if (markId == datas[i].site_id) {
                var sit_name = datas[i].site_name;
                var bicycles_null = datas[i].bicycles_null;
                var bicycles_canBorrow = datas[i].bicycles_canBorrow;
                var distance = datas[i].distance;

                tolat = datas[i].latitude;
                tolng = datas[i].longitude;
            }
        }

        var html = '<div class="ub ub-ac ub-f1" style="padding:0.3em 0.6em;margin-top:0.8em">' 
                        + '<div id="messaa" style="width:80%;height:' + (120 / 1136) * screenH + 'em;border-right:1px #a7a5a5 solid;">' 
                            + '<div style="width:100%;">' 
                                + '<div class="ub ub-ac" style="">' 
                                    + '<div class="ub ub-img" style="background-image:url(\'css/myImg/borMes_2.png\');width:2em;height:2em;"></div>' 
                                    + '<div style="font-size:1.1em;color:#29a6a5;padding:0 1em">' + sit_name + '</div>' 
                                + '</div>' 
                            + '</div>' 
                            + '<div class="ub ub-ac" style="width:100%;font-size:0.8em;padding:0.2em 0;color:#1b1c1c;">' 
                                + '<div class="ub ub-f1">可借车:<span style="color:#c44169;">' + bicycles_canBorrow + '<span></div>' 
                                + '<div class="ub ub-f1">可停车位:<span style="color:#c44169;">' + bicycles_null + '<span></div>' 
                                + '<div class="ub ub-f1">距离我：<span style="color:#c44169;">' + distance + '<span></div>' 
                            + '</div>' 
                        + '</div>' 
                        + '<div class="ub ub-ac ub-pc" style="width:20%;" onclick="showRoutePlan()">' 
                            + '<div class="ub ub-ac ub-img" style="background-image:url(\'css/myImg/bike_toWhere.png\');width:1.5em;height:1.5em;">' + '</div>' 
                            + '<div style="font-size:0.9em;color:#29a6a5;">导航</div>' 
                        + '</div>' 
                    + '</div>';
    }

    $$('footer').innerHTML = html;
}

//导航
var plat;
function showRoutePlan() {
    if (tolng == null) {
        //                  alert("请点击图标，确定目的地");
        uexWindow.alert("提示", "请点击图标，确定目的地！", "确定");
    } else {

        uexWindow.toast(0, 5, "温馨提示:导航功能需要先安装百度地图!", 2000);

        if (getPlatform_val == "android") {

            var a = "android.intent.action.VIEW";
            var b = "";
            var c = "bdapp://map/direction?origin=" + currLat + "," + currLng + "&destination=" + tolat + "," + tolng + "&mode=driving&region=菏泽&src=爱菏泽";
            //uexWidget.loadApp(a,b,c);
            var addinfo = '{"data":{"scheme":"' + c + '"}}'
            uexWidget.startApp(1, a, addinfo);

        } else {
            uexWidget.loadApp("baidumap://map/direction?origin=" + currLat + "," + currLng + "&destination=" + tolat + "," + tolng + "&mode=driving", null, null);
        }

    }
}

var getPlatform_val;
function cbGetPlatform(opId, dataType, data) {
    if (data == 1) {
        getPlatform_val = "android";
    } else {
        getPlatform_val = "ios";
    }
}