﻿ 
function getRouteInfoData(){
	
	var url = serverUrl + 'bicycle/get_bic_route_detail.php?route_id='+routeID;
	
	if (getLocVal("login_if") == 1) url+="&user_id="+getLocVal("user_id");
	else url+="&user_id=0";
            
    $.ajax({
        url: url,
        type: "post",
        dataType: "json",
        cache: false,
        success: function(data) {
			
            uexWindow.closeToast();
            if(data.length > 0){
                initInfo(data);
				initRouteImg(data);
				initPingLunNum(data);
            }
        }
    });
	
}


function initInfo(data){
	
	setLocVal("Route_title", data[0].title);
    setLocVal("Route_content", data[0].introduction);
	
	var xx = XingXingHtml("#id1");
	xx.setHtml("难度:&nbsp;", data[0].difficulty_total, data[0].difficulty);
	
	var xx1 = XingXingHtml("#id2");
	xx1.setHtml("路况:&nbsp;", data[0].difficulty_total, data[0].traffic);
	
	var xx2 = XingXingHtml("#id3");
	xx2.setHtml("风景:&nbsp;", data[0].difficulty_total, data[0].view);
	
	$("#route").html("里程："+data[0].route_distance+"km");
	
	if(data[0].record_num == 0){
	    is_zan = false;
        $$("zanBtn").className = "ub ub-f1 zan ub-img7";
	}else{
	    is_zan = true;
        $$("zanBtn").className = "ub ub-f1 zan_s ub-img7";
	}
	
	goNum = data[0].route_num;
	$("#go_num").html("("+goNum+")");
	
	//var info = "凤凰山（Lantau Peak）位于深圳市宝安区福永与西乡两地交界处，最高点为大茅山，海拔376米。</br>建有凤凰山森林公园，已建成福永凤凰主入口及沙井观音庙(洪田火山郊野公园)、西乡黄麻布、福永虎背山三个次入口。山虽不高，却因山腰凤岩古庙、山下古塔古村而遐迩闻名。";
	$("#info").html(data[0].introduction);
}

function initRouteImg(data){
	
	var imgHtml = '<div id="" class=" ">'
                +'<img src="'+data[0].detail_pic+'" style="width:100%;"  onclick="lookImg(\''+data[0].detail_pic+'\')"/>'
            +'</div>';
			
	$("#route_img").html(imgHtml);
}

function initPingLunNum(data){
	$("#pingLun_num").html("骑友评论("+data[0].comment_num+")");
}


function getpingLunData(divName, page, recs){
	
	var route_id = getLocVal("Route_id");
	var url = serverUrl + 'bicycle/get_comment_list.php?route_id='+ route_id+"&page="+page+"&recs="+recs;
            
    $.ajax({
        url: url,
        type: "post",
        dataType: "json",
        cache: false,
        success: function(data) {
            
            uexWindow.closeToast();
            
            if(data.length > 0){
				pingLun(divName, data, page);
            }else{
                if(page == 1){
                    $$(divName).innerHTML='<div class="ub ub-pc" style="color:#dd4667;font-size:0.8em;padding:0.5em 0em;">暂无评论信息！</div>';
                }else{
                    uexWindow.toast(0,5,"已没有更多数据...",1500);
                }
            }
        }
    });
}


function pingLun(divName, data, page){
	
	var pingLunHtml='';
	var len = data.length;
	
	for(var i = 0; i < len;i++){
		var obj = data[i];
		pingLunHtml += '<div id="" class="ub ubb ub-ver ub-fh" style="border-bottom-color:#D8D8D8">'
                        +'<div id="" class="ub ub-ac" style="padding:0.8em 0.5em 0em 0.8em">'
                            +'<div id="" class="ub ub-img7" style="width:2.2em;height:2.2em;background-image:url(\''+obj.pics+'\');border-radius:50%;"> </div>'
                            +'<div id="" class="ub ub-f1 p_margin_l2 p-ziti_bold p_size_4" style="font-size:1em;">'+obj.user_nick+'</div>'
                            +'<div id="" class="ub " style="margin-right:0.2em;color:#B1B1B1;font-size:0.8em;">'+obj.create_date+'</div>'
                        +'</div>'
                        +'<div id="" class="ub " style="margin-left:3.5em;padding:0.3em 0.5em 0.3em 0.3em;line-height:1.3em;font-size:0.95em;">'
                        +obj.comment +'</div>'
                    +'</div>'
	}	
	
	if(page != 1){
		var d = document.createElement('DIV');
		d.className="ub ub-fh ub-ver" 
		d.innerHTML = pingLunHtml;
		$$(divName).appendChild(d);
	}else {
		$$(divName).innerHTML = pingLunHtml;
    }
}


function publishPingLun(ifRefresh, id, comment){
    
    if(isDefine(comment)){
    
        var route_id = getLocVal("Route_id");
        var url = serverUrl + 'bicycle/write_bic_comment.php?route_id='+id+'&user_id='+getLocVal("user_id")+'&comment='+comment;
                
        $.ajax({
            url: url,
            type: "post",
            dataType: "json",
            cache: false,
            success: function(data) {
    			
                uexWindow.closeToast();
                if(data.length > 0){
                    if(data[0].resultid == 1){
    					uexWindow.toast(1,5,"评论成功！",1500);
    					if(ifRefresh) {
    						uexWindow.evaluatePopoverScript("", "content", 'RefreshList()');
    					}
    				}else if(data[0].resultid == 0){
    				    uexWindow.toast(1,5,"发布评论失败！",1500);
    				}
                }
            }
        });
    }else{
        uexWindow.alert("提示","请填写要发表的评论！","确定");
    }
}


