

function initWeChat(){
    uexWeiXin.registerApp(appid);
}

var prepay_id_f;
var nonce_str_f;
var sign_f;

function getPrepayId(money){
    var nonce_str = randomString(32);
    var notify_url = servicerIP+"/aijiaoyi/wxpay/example/notify.php";
    var amount_z = parseInt(money*100);//
    var spbill_create_ip =  returnCitySN.cip;
    var param1 = {
        appid:appid,//(必选) 微信分配的公众账号ID(企业号corpid即为此appId) 
        mch_id:mch_id,//(必选) 微信支付分配的商户号
        nonce_str:nonce_str,//(必选) 随机字符串,不长于32位.随机字符串,不长于32位.
        body:"参乡交易订单支付",//(必选) 商品或支付单简要描述
        out_trade_no:order_number,//(必选) 商户系统内部的订单号,32个字符内、可包含字母
        fee_type:"CNY",//(可选) 符合ISO 4217标准的三位字母代码,默认人民币:CNY
        total_fee:amount_z,//(必选) 订单总金额,只能为整数,单位为分
        spbill_create_ip:spbill_create_ip,//(必选) 用户端ip
        notify_url:notify_url,//(必选) 接收微信支付异步通知回调地址,通知url必须为直接可访问的url,不能携带参数.
        trade_type:"APP"//(必选) 交易类型,此处为固定值"APP"
    };
    var stringSign = "appid="+param1.appid+"&body="+param1.body+"&fee_type=CNY&mch_id="+param1.mch_id+"&nonce_str="+param1.nonce_str+"&notify_url="+ param1.notify_url +"&out_trade_no="+param1.out_trade_no+"&spbill_create_ip="+param1.spbill_create_ip+"&total_fee="+param1.total_fee+"&trade_type=APP"+"&key="+w_key;
    var md = hex_md5(stringSign).toUpperCase();
    param1.sign = md;
    var param = JSON.stringify(param1);
    uexWeiXin.getPrepayId(param,function(data){
        if(data){
            if(data.return_code == "SUCCESS"){
                 prepay_id_f = data.prepay_id;//微信返回的支付交易会话ID
                 nonce_str_f = data.nonce_str;//返回数组中的随机字符串
                 sign_f = data.sign;//返回数组中的签名
                 startWxPay();
                 //UNIT_TEST.log(JSON.stringify(data));
                 //UNIT_TEST.assert(true);
            }else{
                uexWindow.closeToast();
                uexWindow.alert('系统提示', '支付失败！', '确定');
                //UNIT_TEST.log(data.return_msg);
                //UNIT_TEST.assert(false);
            }
        }else{
            uexWindow.closeToast();
            uexWindow.alert('系统提示', '支付失败！', '确定');
            //UNIT_TEST.assert(false);
        }
    });
}

function startWxPay(){
    var date = new Date();
    var timestamp = date.getTime().toString().substring(0,10);
    var param1 = {
        appid:appid,//(必选)微信分配的AppID
        partnerid:mch_id,//(必选)微信支付分配的商户号
        prepayid:prepay_id_f,//(必选)微信返回的支付交易会话ID,从gettextareapayId接口的回调方法中获取
        package:"Sign=WXPay",//(必选)暂填写固定值Sign=WXPay
        noncestr:nonce_str_f,//(必选)返回的随机字符串
        timestamp:timestamp//(必选)时间戳
    };
    var strrrr="appid="+appid+"&noncestr="+nonce_str_f+"&package=Sign=WXPay&partnerid="+mch_id+"&prepayid="+prepay_id_f+"&timestamp="+timestamp+"&key="+w_key;
    param1.sign = hex_md5(strrrr).toUpperCase();
    var data1 = JSON.stringify(param1);
    uexWeiXin.startPay(data1,function(data){
        if(!data.errCode){
            uexWindow.confirm({
                title:"提示",
                message:"支付成功！",
                buttonLabels:"确定"
            },function(index){
                setTimeout(function(){
                    uexWindow.evaluateScript("", "0", "jump(1)");
                }, 200);
            });
            //uexWindow.confirm("确认信息","支付成功！","确认");
        }else{
            //UNIT_TEST.log("支付失败");
            //UNIT_TEST.assert(false);
            uexWindow.closeToast();
            uexWindow.alert('系统提示', '支付失败！', '确定');
        }
    });
}

//生成随机字符串
function randomString(len) {
　　len = len || 32;
　　var $chars = 'ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678';
　　var maxPos = $chars.length;
　　var pwd = '';
　　for (i = 0; i < len; i++) {
　　　　pwd += $chars.charAt(Math.floor(Math.random() * maxPos));
　　}
　　return pwd;
}
