
var sourceApp = 'www.jgLoveAnJi.com'
var scenic_name ='';

var map_sLat,map_sLng,map_sAddr,map_eLat,map_eLng,map_eAddr;

function initActionSheet(){

    uexActionSheet.onClickItem = function(data){
        
        var evt = window.event;
        if(data==0){ //百度
            if(uexWidgetOne.platformName == "iOS"){
                uexWidget.loadApp("baidumap://map/direction?origin="+map_sLat+","+map_sLng
                                +"&destination="+map_eLat+","+map_eLng+"&mode=driving"); 
            }
            else{ 
                var a = "android.intent.action.VIEW";
                var b = "";
                //var c="bdapp://map/direction?destination="+toLat+","+toLng;
                var c="bdapp://map/direction?origin=latlng:"+map_sLat+","+map_sLng+"|name:"+encodeURI(map_sAddr)
                    +"&destination=latlng:"+map_eLat+","+map_eLng+"|name:"+encodeURI(map_eAddr)+"&mode=driving";
                    
                var addinfo='{"data":{"scheme":"'+c+'"}}'
                uexWidget.startApp(1,a,addinfo);
                stopEventBubble(evt);
            }
        }else if(data==1){ //高德
            
            var startCurr = baiduToGoogle(map_sLat, map_sLng);
            var endCurr = baiduToGoogle(map_eLat, map_eLng);
            
            if(uexWidgetOne.platformName == "iOS"){
                //高德中文地址必须要转码
                var stingUrl = "iosamap://path?sourceApplication="+sourceApp+"&sid=BGVIS1&slat="+startCurr.lat+"&slon="+startCurr.lng+"&sname="+encodeURI(map_sAddr)+"&did=BGVIS2&dlat="+endCurr.lat+"&dlon="+endCurr.lng+"&dname="+encodeURI(map_eAddr)+"&dev=0&m=0&t=0";
                uexWidget.loadApp(stingUrl);
                stopEventBubble(evt);
                
            }else{ 
                 var a = "android.intent.action.VIEW";
                 var b = "";
                 var c="androidamap://route?sourceApplication="+sourceApp+"&slat="+startCurr.lat+"&slon="+startCurr.lng
                            +"&sname="+encodeURI(map_sAddr)+"&dlat="+endCurr.lat+"&dlon="+endCurr.lng
                            +"&dname="+encodeURI(map_eAddr)+"&dev=0&m=0&t=2";
                var addinfo='{"data":{"scheme":"'+c+'"}}';
                uexWidget.startApp(1,a,addinfo);
                stopEventBubble(evt);
            }
            
        }else if(data==2){ //苹果导航
            var startCurr = baiduToGoogle(map_sLat, map_sLng);
            var endCurr = baiduToGoogle(map_eLat, map_eLng);
            uexWidget.loadApp("https://maps.apple.com/?saddr="+startCurr.lat+","+startCurr.lng+"&daddr="+endCurr.lat+","+endCurr.lng);
        }
    }
}



function daohang(sLat,sLng,sAddr,eLat,eLng,eAddr){
    if(!eLat || !eLng){
        uexWindow.alert("提示","没有具体位置信息","确定");
    }else{
        
        map_sLat=sLat; map_sLng=sLng,map_sAddr=sAddr||'当前位置';
        map_eLat=eLat; map_eLng=eLng,map_eAddr=eAddr||'目的地';
        
        if(uexWidgetOne.platformName == "iOS"){
            var arr = [{name:"百度地图"},{name:"高德地图"},{name:"苹果地图"}];
            showActionSheet(arr);
        }else{
            var arr = [{name:"百度地图"},{name:"高德地图"}];
            showActionSheet(arr);
        }
    }
}

function showActionSheet(arr){
    var data = {"actionSheet_style":{
        "frameBgColor":"#ffffff",
        "frameBroundColor":"#ffffff",
        "frameBgImg":"",
        "btnSelectBgImg":"res://btn-act.png",
        "btnUnSelectBgImg":"res://btn.png",
        "cancelBtnSelectBgImg":"res://cancel-act.png",
        "cancelBtnUnSelectBgImg":"res://cancel.png",
        "textSize":"17",
        "textNColor":"#ffffff",
        "textHColor":"#22ade5", 
        "cancelTextNColor":"#ffffff",
        "cancelTextHColor":"#22ade5", 
        "actionSheetList":arr
        }
    };
    var JsonData =JSON.stringify(data);
    uexActionSheet.open(0, 0, 0, 0, JsonData);
}

function stopEventBubble(event){
    var e=event || window.event;
    if (e && e.stopPropagation){
        e.stopPropagation();    
    }else{
        e.cancelBubble=true;
    }
}

var x_pi = 3.14159265358979324 * 3000.0 / 180.0;
/** 
* 百度地图坐标 转  Google坐标
*/
function baiduToGoogle(bdLat, bdLon){
    var x = bdLon - 0.0065, y = bdLat - 0.006;  
    var z = Math.sqrt(x * x + y * y) - 0.00002 * Math.sin(y * x_pi);  
    var theta = Math.atan2(y, x) - 0.000003 * Math.cos(x * x_pi);  
    var gcjLon = z * Math.cos(theta);  
    var gcjLat = z * Math.sin(theta);
    
    return {'lat' : gcjLat, 'lng' : gcjLon};
}




