
var  toLng, toLat;

function initActionSheet(){

    uexActionSheet.onClickItem = function(data){
        var evt = window.event;
        if(data==0){ //百度
            if(uexWidgetOne.platformName == "iOS"){
                uexWidget.loadApp("baidumap://map/direction?origin="+currLat+","+currLog
                                +"&destination="+toLat+","+toLng+"&mode=driving");    
            }
            else{ 
                var a = "android.intent.action.VIEW";
                var b = "";
                //var c="bdapp://map/direction?destination="+toLat+","+toLng;
                var c="bdapp://map/direction?origin=latlng:"+currLat+","+currLog+"|name:"+encodeURI("当前位置")
                    +"&destination=latlng:"+toLat+","+toLng+"|name:"+encodeURI(scenic_name)+"&mode=driving";
                    
                var addinfo='{"data":{"scheme":"'+c+'"}}'
                uexWidget.startApp(1,a,addinfo);
                stopEventBubble(evt);
            }
        }else if(data==1){ //高德
            
            var startCurr = baiduToGoogle(currLat, currLog);
            var endCurr = baiduToGoogle(toLat, toLng);
            
            if(uexWidgetOne.platformName == "iOS"){
                //高德中文地址必须要转码
                var stingUrl = "iosamap://path?sourceApplication=www.NanJingJiangNing.com&sid=BGVIS1&slat="+startCurr.lat+"&slon="+startCurr.lng+"&sname="+encodeURI("当前位置")+"&did=BGVIS2&dlat="+endCurr.lat+"&dlon="+endCurr.lng+"&dname="+encodeURI(scenic_name)+"&dev=0&m=0&t=0";
                uexWidget.loadApp(stingUrl);
                stopEventBubble(evt);
                
            }else{ 
                 var a = "android.intent.action.VIEW";
                 var b = "";
                 var c="androidamap://route?sourceApplication=www.NanJingJiangNing.com&slat="+startCurr.lat+"&slon="+startCurr.lng
                            +"&sname="+encodeURI("当前位置")+"&dlat="+endCurr.lat+"&dlon="+endCurr.lng
                            +"&dname="+encodeURI(scenic_name)+"&dev=0&m=0&t=2";
                var addinfo='{"data":{"scheme":"'+c+'"}}';
                uexWidget.startApp(1,a,addinfo);
                stopEventBubble(evt);
            }
            
        }else if(data==2){ //苹果导航
            var startCurr = baiduToGoogle(currLat, currLog);
            var endCurr = baiduToGoogle(toLat, toLng);
            uexWidget.loadApp("https://maps.apple.com/?saddr="+startCurr.lat+","+startCurr.lng+"&daddr="+endCurr.lat+","+endCurr.lng);
        }
    }
}


var scenic_name='';
function daohang(lat, lng, name){
    if(!lat && !lng){
        uexWindow.alert("提示","没有具体位置信息","确定");
    }else{
        toLat = lat;
        toLng = lng;
        scenic_name = name;
        if(uexWidgetOne.platformName == "iOS"){
            var arr = [{name:"百度地图"},{name:"高德地图"},{name:"苹果地图"}];
            showActionSheet(arr);
        }else{
            var arr = [{name:"百度地图"},{name:"高德地图"}];
            showActionSheet(arr);
        }
    }
}

function showActionSheet(arr){
    var data = {"actionSheet_style":{
        "frameBgColor":"#ffffff",
        "frameBroundColor":"#ffffff",
        "frameBgImg":"",
        "btnSelectBgImg":"res://btn-act.png",
        "btnUnSelectBgImg":"res://btn.png",
        "cancelBtnSelectBgImg":"res://cancel-act.png",
        "cancelBtnUnSelectBgImg":"res://cancel.png",
        "textSize":"17",
        "textNColor":"#ffffff",
        "textHColor":"#22ade5", 
        "cancelTextNColor":"#ffffff",
        "cancelTextHColor":"#22ade5", 
        "actionSheetList":arr
        }
    };
    var JsonData =JSON.stringify(data);
    uexActionSheet.open(0, 0, 0, 0, JsonData);
}

function stopEventBubble(event){
    var e=event || window.event;

    if (e && e.stopPropagation){
        e.stopPropagation();    
    }
    else{
        e.cancelBubble=true;
    }
}


//=======================通过经纬度算距离=======================================
        
var EARTH_RADIUS = 6378137.0; //单位M 
var x_pi = 3.14159265358979324 * 3000.0 / 180.0; 
var PI = Math.PI;

function getRad(d){
    return d * PI / 180.0;
}

/** 计算距离 */
function getDistance( vlng1,vlat1, vlng2, vlat2){

    var radLat1 = getRad(vlat1);
    var radLat2 = getRad(vlat2);
    var a = radLat1 - radLat2;
    var b = getRad(vlng1) - getRad(vlng2);
    var s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a / 2), 2) + Math.cos(radLat1) * Math.cos(radLat2) * Math.pow(Math.sin(b / 2), 2)));
    s = s * EARTH_RADIUS;
    s = Math.round(s * 10000) / 10000.0;
    
    return s.toFixed(2);
}

/**
 * google坐标转baidu坐标
 */
function google_to_baidu(gg_lat, gg_lon){
    var x = gg_lon, y = gg_lat;
    var z = Math.sqrt(x * x + y * y) + 0.00002 * Math.sin(y * x_pi);
    var theta = Math.atan2(y, x) + 0.000003 * Math.cos(x * x_pi); 
    var bd_lon = z * Math.cos(theta) + 0.0065;
    var bd_lat = z * Math.sin(theta) + 0.006;
    var bd_loc = [bd_lon,bd_lat]; 
    return bd_loc;
}

/** 
* 百度地图坐标 转  Google坐标
*/
function baiduToGoogle(bdLat, bdLon){
    var x = bdLon - 0.0065, y = bdLat - 0.006;  
    var z = Math.sqrt(x * x + y * y) - 0.00002 * Math.sin(y * x_pi);  
    var theta = Math.atan2(y, x) - 0.000003 * Math.cos(x * x_pi);  
    var gcjLon = z * Math.cos(theta);  
    var gcjLat = z * Math.sin(theta);
    
    return {'lat' : gcjLat, 'lng' : gcjLon};
}  

//============================================================== 












