﻿function ksort(d, e) {
    var f = {}, keys = [],
        sorter, i, k, that = this,
        strictForIn = false,
        populateArr = {};
    switch (e) {
        case 'SORT_STRING':
            sorter = function(a, b) {
                return that.strnatcmp(a, b)
            };
            break;
        case 'SORT_LOCALE_STRING':
            var g = this.i18n_loc_get_default();
            sorter = this.php_js.i18nLocales[g].sorting;
            break;
        case 'SORT_NUMERIC':
            sorter = function(a, b) {
                return ((a + 0) - (b + 0))
            };
            break;
        default:
            sorter = function(a, b) {
                var c = parseFloat(a),
                    bFloat = parseFloat(b),
                    aNumeric = c + '' === a,
                    bNumeric = bFloat + '' === b;
                if (aNumeric && bNumeric) {
                    return c > bFloat ? 1 : c < bFloat ? -1 : 0
                } else if (aNumeric && !bNumeric) {
                    return 1
                } else if (!aNumeric && bNumeric) {
                    return -1
                }
                return a > b ? 1 : a < b ? -1 : 0
            };
            break
    }
    for (k in d) {
        if (d.hasOwnProperty(k)) {
            keys.push(k)
        }
    }
    keys.sort(sorter);
    this.php_js = this.php_js || {};
    this.php_js.ini = this.php_js.ini || {};
    strictForIn = this.php_js.ini['phpjs.strictForIn'] && this.php_js.ini['phpjs.strictForIn'].local_value && this.php_js.ini['phpjs.strictForIn'].local_value !== 'off';
    populateArr = strictForIn ? d : populateArr;
    for (i = 0; i < keys.length; i++) {
        k = keys[i];
        f[k] = d[k];
        if (strictForIn) {
            delete d[k]
        }
    }
    for (i in f) {
        if (f.hasOwnProperty(i)) {
            populateArr[i] = f[i]
        }
    }
    return strictForIn || populateArr
}

function gen_signature(c, e) {
    d = ksort(e);
    buff = "";
    $.each(d, function(a, b) {
        buff += a;
        buff += b
    });
    buff += c;
    return md5(buff)
}