

// var arr =[ '按钮1','按钮2'];
// var btn = new selectbottom('selBtottom',function(index){
    // //alert(index);
// },{'btnArr':arr});


function selectbottom(targetDiv,options,Func) {

    this.options={
        btnArr:null, //按钮数组
        isScroll:false, //是否可以侧滑
        font_size:'1em',
        bgClr:'#f3f3f3',
        zitiClr:'#969696',
        sel_zitiClr:'#eb900b',
        line_height:'2'
    }

    this.init(targetDiv, Func, options);
}

selectbottom.prototype = {

    init:function(targetDiv, Func, options){
        this.rootDiv = targetDiv;
        this.clickFunc = Func;
        for (var i in options) this.options[i] = options[i];
        this.setViewHtml();
    },
    setViewHtml:function(){

        var html = '';
        
        if(this.options.isScroll){

            html+='<div id="scrollView_'+this.rootDiv+'" style="width:100%;overflow-X:auto;-webkit-overflow-scrolling:touch;position:relative;"><div id="btn_'+this.rootDiv+'" style="display: -webkit-box !important;position:relative;">';
            for(var i in this.options.btnArr){
                var ztClr = (i==0)?this.options.sel_zitiClr:this.options.zitiClr;
                var btnCss = 'text-align:center; padding:0.625em 1.2em; color:'+ztClr+'; font-size:'+this.options.font_size+'; background-color:'+this.options.bgClr+';';
                html+= '<div id="bottom_'+this.rootDiv+'_'+i+'" style="'+btnCss+'">'+this.options.btnArr[i]+'</div>';
            }
            html+='</div><div id="line_'+this.rootDiv+'" style="height:'+this.options.line_height+'px;background-color:'+this.options.bgClr+';"><div id="line_n_'+this.rootDiv+'" style="height:'+this.options.line_height+'px;background-color:'+this.options.sel_zitiClr+';width:0px;position:absolute;"></div></div></div>';
        }else{
            
            html+='<div id="scrollView_'+this.rootDiv+'" style="width:100%;"><div id="btn_'+this.rootDiv+'" style="display: -webkit-box !important;position:relative;">';
            
            var len = this.options.btnArr.length;
            var percent = 100/len;
            
            for(var i in this.options.btnArr){
                var ztClr = (i==0)?this.options.sel_zitiClr:this.options.zitiClr;
                var btnCss = 'text-align:center; padding:0.7em 0; color:'+ztClr+';font-size:'+this.options.font_size+'; background-color:'+this.options.bgClr+';width:'+percent+'%;';
                html+= '<div id="bottom_'+this.rootDiv+'_'+i+'" style="'+btnCss+'">'+this.options.btnArr[i]+'</div>';
            }
            html+='</div><div id="line_'+this.rootDiv+'" style="height:'+this.options.line_height+'px;background-color:'+this.options.bgClr+';"><div id="line_n_'+this.rootDiv+'" style="height:'+this.options.line_height+'px;background-color:'+this.options.sel_zitiClr+';width:0px;position:absolute;"></div></div></div>';
            
        }

        document.getElementById(this.rootDiv).innerHTML=html;

        var selBtnx = document.getElementById("scrollView_"+this.rootDiv);
        var s_sr = selBtnx.scrollWidth; //滑动宽度
        $("#line_"+this.rootDiv).css('width',s_sr);

        //设置line的宽度
        var firstBtn = document.getElementById('bottom_'+this.rootDiv+'_0');
        var w = firstBtn.offsetWidth;
        document.getElementById('line_n_'+this.rootDiv).style.width = w+'px';

        var nodes = document.getElementById('btn_'+this.rootDiv).childNodes;
        
        for(var i=0;i<nodes.length;i++)
            nodes[i].onclick = this.click.bind(this,nodes[i]);
        
    },
    click:function(target){

        this.clickFunc($(target).index());
        
        target.style.color = this.options.sel_zitiClr;

        var btnArr = document.getElementById("btn_"+this.rootDiv);
        var arr = btnArr.children;

        var moveW=0;
        for(var i=0; i<arr.length;i++){
            var obj1 = arr[i];
            if(obj1 == target){

                var w = obj1.offsetWidth;
                $("#line_n_"+this.rootDiv).animate({left:moveW,width:w},200);
            
                if(this.options.isScroll){
                    //自动滑动区域计算
                    var selBtnx = document.getElementById("scrollView_"+this.rootDiv);
                    var s_w = selBtnx.offsetWidth; //屏幕宽度
                    var s_sr = selBtnx.scrollWidth; //滑动宽度
                    var a = parseFloat(moveW+w/2-s_w/2);
    
                    if(a >0) $("#scrollView_"+this.rootDiv).animate({'scrollLeft':parseFloat(a)},200);
                    else $("#scrollView_"+this.rootDiv).animate({'scrollLeft':0},200);
    
                    obj1.style.color = this.options.sel_zitiClr;
                }
                
            }else{
                moveW += parseInt(obj1.offsetWidth);
                obj1.style.backgroundColor = this.options.bgClr;;
                obj1.style.color = this.options.zitiClr;
            }
        }
    }
}



