
var globalUrl = 'http://www.meilianji.cn/web/';

var winWidth = document.body.offsetWidth;
var winHeight = document.body.offsetHeight;
var now = new Date();

var weatherData;
var time=null;
var _Temp=0;

var BASE_HEIGHT = 2;
var LINE_WIDTH = 1;

/** 一周的天气数据 */
var weeksDt;
/** 生活指数 */
var lifeDt;

var headerHeight;

var _platformName;

appcan.ready(function() {

    _platformName = uexWidgetOne.platformName;
    if(_platformName=='iOS') {
        $(".header")[0].style.paddingTop = '1em';
        uexWindow.setStatusBarTitleColor(0);
    }
    
     headerHeight = $(".header")[0].offsetHeight;
     var h = winHeight-headerHeight;
     $(".Box")[0].style.width = winWidth+'px';
     $(".Box")[0].style.height = h+'px';
     $("#wrapper")[0].style.width=winWidth+'px';
     $("#wrapper")[0].style.height=h+'px';

     initIScroll();
     
});


function initIScroll(){

    myscroll = new IScroll("#wrapper", {
        probeType: 2,
        preventDefault: false,
        interactiveScrollbars: true, 
        shrinkScrollbars: 'scale',
        mouseWheel: true,
        scrollbars: false
    });

	myscroll.on("scroll", scrollEvent);
	myscroll.on('scrollEnd', scrollEnd);

    setTimeout(function(){
    	   getWeather();
        initIScroll_predict();
        getWeatherLife();
        //getWeatherNews();
        initListHeader();
    },0);

};


function scrollEvent(){
    setBgClr(Math.abs(this.y));
}

/** 停止滚动时触发 */
function scrollEnd(){
    setBgClr(Math.abs(this.y));
}

function onScrollMove(){
	//console.log('onScrollMove',this.y);
}

function onTouchEnd(){
	//console.log('onTouchEnd');
};

function setBgClr(scrollY){
    //console.log(scrollY);
    var obj = getDivPosition($(".weeksList"));
    var h1 = parseFloat(winHeight-headerHeight);

    var y1 = parseFloat(winHeight-headerHeight)*0.3;
    //console.log('scrollEvent',scrollY,y1);
    if(scrollY<=y1){
		var clr = 'rgba(0,0,0,0)';
          $(".header")[0].style.backgroundColor = clr;
		$(".first-bottom").children().addClass('bottom-view').removeClass('bg-color');
    }else if(scrollY>y1){
		//$(".header").addClass('bg-color');
		var a = Math.abs((y1-scrollY)/y1);
		a = (a>0 && a<=0.1)?a:0.1;
		//console.log('scrollEvent a :',a);
		var clr = 'rgba(0,0,0,'+a+')';
          $(".header")[0].style.backgroundColor = clr;
		$(".first-bottom").children().addClass('bg-color').removeClass('bottom-view');
	}
	
	//if(scrollY>=catrgoryTop){
	     //console.log('aa');
	     //$("#labelList").css({"position":"absolute","left":"0","top":"0","z-index":"999"});
	//}else{
	     //$("#labelList").css({"position":"","left":"","top":"","z-index":""});
	//}

}


/** 天气数据  */
function getWeather(){
    var url =globalUrl+"weather/get_weather_info.php";
    console.log('weather info : ',url);
    $.ajax({
        url: url,
        type: "GET",
        dataType: "json",
        success: function(data) {
        	 if(data){
        	    rotateEvent();
        	    weatherData = data;
		    initView();
        	 }
        }
    });
}

var w_array=new Array("星期天","星期一","星期二","星期三","星期四","星期五","星期六"); 
/** 当天天气温度显示  */
function initView(){
    
	$(".home-Bg").css('background-image','url('+weatherData.background_icons+')');

	//自增数字
	setTemperature(weatherData.Shikuang.Temp);
	
     var earlyWaring = weatherData.Signals;
	//预警
	if(earlyWaring.length>0){ 
	     //$(".waring-img").removeClass('uhide');
	    setLocVal("weather_EarlyWarning", JSON.stringify(earlyWaring));
	    
	    var html='';
	    for (var i=0; i < earlyWaring.length; i++) {
	         
	         var earlyWaring_obj = earlyWaring[i];
	         
	         var arr = earlyWaring_obj.ImgUrl.split('/');
              var imgName = arr[arr.length-1];
              var nameArr = imgName.split('.');
              var name = nameArr[0];
              var idArr = name.split('_');
              var id = idArr[1];
              var imgurl = '../wgtRes/waringjpg/'+imgName;
	         
		    html += '<div class="ub " style="margin-bottom:.7em;" onclick="lookWaring('+i+')">'
		             +'<div class="ub ub-ac bg-color2">'
     		             +'<div class="ub ub-img7" style="width:2em;height:2em;background-image:url(\''+imgurl+'\');"> </div>'
          		        +'<div class="ub" style="color:#fff;font-size:.8em;margin:.2em .5em;">'+earlyWaring_obj.Name+'</div>'
     		        +'</div>'
     		        +'<div class="ub ub-f1"></div>'
     		     +'</div>';
	    };
	    
	    $(".waring-list").html(html);
	     
	}
	
	//星期
	var date = new Date();
     var yy = date.getFullYear();
     var mm = date.getMonth()+1;
     var dd = date.getDate();
	var week=date.getDay();
	$(".weekDay").html(w_array[week]);
     $(".toDay").html(yy+'/'+mm+'/'+dd);
	
	//风级
	var lk = weatherData.Shikuang.Wind.indexOf('('),
	    rk = weatherData.Shikuang.Wind.indexOf(')');
	//$(".Wind").html(weatherData.Shikuang.Wind.substring(lk+1,rk));
	$(".Wind").html(weatherData.Shikuang.Wind);
	
	//湿度、压强
	var UpdateTime = weatherData.Shikuang.UpdateTime;
     $(".humidity").html(weatherData.Shikuang.OutsideHum+'%');
     $(".pressure").html(weatherData.Shikuang.Barameter+'hpa');
     
     $(".richu").html(weatherData.sun.Richu);
     $(".riluo").html(weatherData.sun.Riluo);
     
     $(".releaseTime").html(weatherData.F24.stationName+UpdateTime.substring(11,16)+'发布');
     
	var zhuantai= weatherData.AnjiAQI[0].zhuantai,
	    aqi = weatherData.AnjiAQI[0].aqi;
	
	if(aqi<=50){
	    $(".prg")[0].style.backgroundColor = '#28ab00';
	}else if(aqi>50){
        $(".prg")[0].style.backgroundColor = '#d9c703';
	}
	 
     if(aqi>=100){
        zhuantai = '良';
        aqi = Math.floor(Math.random()*(110-75+1)+75);
     }
	
	$(".prg").addClass('progress');   
     $(".zhuantai").html(zhuantai);
	$(".aqi").html(aqi);
    
	//$(".weather").html(weatherData.Shikuang.Temp);
}

function lookWaring(index){
     var earlyWaring = weatherData.Signals;
     setLocVal("weather_EarlyWarning_obj", JSON.stringify(earlyWaring[index]));
     infoWarning();
}

function showWarning(){
     
}

/** 自增数字 */
function setTemperature(Temp){
     _Temp=0;
	var t=1;
	if(Temp<0){
	 	t= 1000/Temp;
	}else if(Temp>0 && Temp<5) t= 400/Temp;
	else if(Temp>5 && Temp<10) t= 600/Temp;
	else if(Temp>=10 && Temp<20) t= 800/Temp;
	else if(Temp>=20) t= 1000/Temp;
	
     setTemperatureTime();
	time = setInterval(function(){
		setTemperatureTime();
	},t);
}

function setTemperatureTime(){
    //console.log(_Temp);
	if(parseInt(weatherData.Shikuang.Temp)<=_Temp){
        $(".temperature").html(weatherData.Shikuang.Temp);
        clearInterval(time);
        time=null;
    }else{
        _Temp+=1;
        var a = (weatherData.Shikuang.Temp<0)?'-':'';
        $(".temperature").html(a+' '+_Temp);
    }
}

/************************* weeks ********************************/
var dayWidth = winWidth/6;
var myscroll_predict;
/** 七天天气滚动事件   */
function initIScroll_predict(){
    myscroll_predict = new IScroll("#wrapper-predict", {
         mouseWheel: true,
         click: true,
         eventPassthrough: true,//纵向滚动整个页面，横向滚动iscroll区域
         scrollX:true,//默认是纵向，横向需要设置scrollX
         scrollY:false//默认是纵向，横向需要设置scrollX
    });

     getPredict();
};

/** 七天天气预报  */
function getPredict(){
	var url = globalUrl+'weather/get_week_weather_info.php';
	$.ajax({
		url: url,
        type: "GET",
        dataType: "json",
        success: function(data) {
        	if(data){
        		weeksDt = data;
        		setWeekHtml();
        	}
        }
	});
}

function setWeekHtml(){
     var html = '';
     var arr = weeksDt.weeks,len = arr.length;
     
     //if(now.getHours()>6 && now.getHours()<=18) $(".weather").html(arr[0].daystr);
     //else $(".weather").html(arr[0].nightstr);
     //$(".temperature").html(arr[0].Tl+'~'+arr[0].Th);
     
     //var today = new Date().getTime();
     //var tomorrow = new Date(today.getTime() + 1 * 24 * 60 * 60 * 1000).getTime();
     
     for (var i = 0; i < len; i++) {    

          var obj = arr[i];
          
          //if(i==0)week_day='今天';
          //else 
          //if(i==0) week_day='明天';
          //else 
         
          var weather=obj.WeatherString;
          if(obj.WeatherString.indexOf('到')>0){
               weather = obj.WeatherString.split('到')[0];
          }

          html += '<li>'
                    +'<div class="ub ub-ac ub-ver bg-color2" style="width:'+dayWidth+'px;margin-right:1px">'
                         +'<div class="ub umart1">'+obj.week_day+'</div>'
                         +'<div class="ub umart1 weather-font-s1">'+obj.TimeString+'</div>'
                         +'<div class="ub umart1 weather-font-s2" >'+ obj.daystr +'</div>'
                         +'<div class="ub ub-img7 umar-t img-size2" style="background-image:url('+obj.daypic+');"></div>'
                         +'<div class="panel canvas-bg" style=""></div>'
                         +'<div class="ub ub-img7 img-size2" style="background-image:url('+obj.nightpic+');"></div>'
                         +'<div class="ub umart1 weather-font-s2">'+obj.nightstr+'</div>'
                         +'<div class="ub umart1 weather-font-s1">'+obj.Fx+'</div>'
                         +'<div class="ub umart1 umar-b weather-font-s1" >'+obj.Fs+'</div>'
                    +'</div>'
                +'</li>'
     }
     html+='<canvas id="canvas-line" class="canvas-line"></canvas>'
     $("#predict-list").html(html);

     myscroll_predict.refresh();
     myscroll.refresh();
     
     
      setTimeout(function(){
          setCanvas();
      },100);
}


function getRatio(context){
    var devicePixelRatio = window.devicePixelRatio || 1;
    var backingStoreRatio = context.webkitBackingStorePixelRatio ||
                        context.mozBackingStorePixelRatio ||
                        context.msBackingStorePixelRatio ||
                        context.oBackingStorePixelRatio ||
                        context.backingStorePixelRatio || 1;
    var ratio = devicePixelRatio / backingStoreRatio;
    return ratio;
}

var canvas;
var isCreateCanvas=false;

function setCanvas(){
     
     canvas = document.getElementById("canvas-line");
     var context = canvas.getContext("2d");
     
     if(!isCreateCanvas){
          
     	var scrollerHeight = myscroll_predict.scrollerHeight, 
     		scrollerWidth = myscroll_predict.scrollerWidth,
     		wrapperHeight = myscroll_predict.wrapperHeight,
     		wrapperWidth = myscroll_predict.wrapperWidth;
     	
     	//屏幕系数
     	var ratio = getRatio(context);
          
     	//对画布通过系数进行放大
     	canvas.width = scrollerWidth * ratio;
     	canvas.height = scrollerHeight * ratio;
          context.scale(ratio, ratio);
          context.translate(0.5, 0.5);
          //把画布固定到可视宽高
          setTimeout(function(){
               canvas.style.width = scrollerWidth + 'px';
               canvas.style.height = scrollerHeight + 'px';
          },50);
     }
     
	createLine(context,ratio);
	
	//catrgoryTop = $("#topview")[0].offsetHeight;
}

function createLine(context,ratio) {
  
     //温度点的宽高
     var POINTS_WIDTH = LINE_WIDTH*2*ratio;
          
     var arr =  document.querySelectorAll(".panel");
     var obj = getDivPosition(arr[0]);

     var weeks = weeksDt.weeks;

     var minTh = maxTh = weeks[0].Th,
          minTl = maxTl = weeks[0].Tl;
     for (var i = 1; i < weeks.length; i++) {
          //最高温度
          maxTh = (weeks[i].Th>maxTh)?weeks[i].Th:maxTh;
          minTh = (weeks[i].Th<minTh)?weeks[i].Th:minTh;
          //最低温度
          maxTl = (weeks[i].Tl>maxTl)?weeks[i].Tl:maxTl;
          minTl = (weeks[i].Tl<minTl)?weeks[i].Tl:minTl;
     }

     var aTh = maxTh-minTh, 
          aTl = maxTl-minTl;
     var max = (aTh>aTl)?aTh:aTl; //取最大值
     var interval=0; //显示区间
     
     if(max<=5) interval = obj.height*10/100; 
     else if(max>5 && max<=10) interval = obj.height*20/100; 
     else if(max>10 && max<=20) interval = obj.height*30/100; 
     else if(max>20 && max<=30) interval = obj.height*38/100; 
     else interval = obj.height*42/100;
     //温度标线的系数
     var coeffi = parseFloat(interval/max);
     
     /////////////////////////  高温线  /////////////////////////////

     context.beginPath();

     context.strokeStyle = "#fff";
     context.fillStyle="#fff";
     context.font = ".8em bold 黑体";

     var x = parseFloat(obj.width/2+0.5);
     var y =parseFloat( obj.y+obj.height/2 - (weeks[0].Th-minTh)*coeffi)-10; //高温起点
     //划线
     context.moveTo(x, y);
     //温度点
     context.fillRect(x-POINTS_WIDTH/2,y-POINTS_WIDTH/2,POINTS_WIDTH,POINTS_WIDTH);
     //温度
     var str = weeks[0].Th+'℃';
     var width = context.measureText(str).width;
     context.fillText(str,x-width/2,y-10);

    for (var i = 0; i < arr.length; i++) {
          var cx = parseFloat((obj.width*i)+obj.width/2 +0.5),
          cy = parseFloat(obj.y+obj.height/2 - (weeks[i].Th-minTh)*coeffi)-10;
          //划线
          context.lineTo(cx,cy);
          //温度点
          context.fillRect(cx-POINTS_WIDTH/2,cy-POINTS_WIDTH/2,POINTS_WIDTH,POINTS_WIDTH);
          //温度
          var str = weeks[i].Th+'℃';
          var width = context.measureText(str).width;
          context.fillText(str,cx-width/2,cy-10);
    }

     context.stroke();

     ///////////////////////// 低温线  /////////////////////////////

     context.strokeStyle = "#c8bc00";
     context.fillStyle="#c8bc00";
     context.font = ".8em bold 黑体";

     context.beginPath();

     var y1 = obj.y+obj.height/2 + (maxTl - weeks[0].Tl)*coeffi+10; //底温起点
     //划线
     context.moveTo(x, y1);
     //温度点
     context.fillRect(x-POINTS_WIDTH/2,y1-POINTS_WIDTH/2,POINTS_WIDTH,POINTS_WIDTH);
     //温度
     var str = weeks[0].Tl+'℃';
     var width = context.measureText(str).width;
     context.fillText(weeks[0].Tl+'℃',x-width/2,y1+20);

     for (var i = 0; i < arr.length; i++) {
          var cx = parseFloat((obj.width*i)+obj.width/2 + 0.5),
              cy = parseFloat(obj.y+obj.height/2+(maxTl-weeks[i].Tl)*coeffi)+10;
          //划线
          context.lineTo(cx,cy);
          //温度点
          context.fillRect(cx-POINTS_WIDTH/2,cy-POINTS_WIDTH/2,POINTS_WIDTH,POINTS_WIDTH);
          //温度
          var str = weeks[i].Tl+'℃';
          var width = context.measureText(str).width;
          context.fillText(str,cx-width/2,cy+20);
     }

     context.stroke();

     /////////////////////////////////////////////////////
}

function getDivPosition(divObj){
  if(typeof divObj == 'string'){
    divObj=com.whuang.hsj.$$id('divObj');
  }
  return {'width':divObj.offsetWidth,'height':divObj.offsetHeight,
    'x':divObj.offsetLeft,'y':divObj.offsetTop};
}


//////////////////////////////////////////////////////

/** 获取生活指数 */
function getWeatherLife(){
    var url = globalUrl+"weather/get_weather_life.php";
    $.ajax({
        url: url,
        type: "GET",
        dataType: "json",
        success: function(data) {
            if(data){
                lifeDt = data;
                setLifeList();
            }
        }
    });
}

function setLifeList(){
    
    var arr = ['shushi','ziwaixian','chenlian','liangshai','chuanyi','yusan','ganmao','dizhizaihai'];
    var arr1 = ['舒适度','紫外线','晨练','晾晒','穿衣','雨伞','感冒','地质灾害'];
    
    var w = (winWidth-3)/4;
    var img_w = w*28/100-2;

    var len = arr.length;
    var html = '';
    for (var i=0; i < len; i+=4) {
        html += '<div class="ub ub-fh">'
        for (var j=i; j < i+4; j++) {
          html += '<div class="ub ub-ac ub-pc ub-ver bg-color" style="width:'+w+'px;margin-right:1px;margin-bottom:1px">';
                var obj = arr[j];
                if(obj){
                    var level = lifeDt[obj].level.substring(0, lifeDt[obj].level.length-1);
                    html +='<div class="ub ub-img7" style="width:'+img_w+'px;height:'+img_w+'px;background-image:url(\''+(globalUrl+'life_icon/'+obj)+'.png\');margin-top:.4em;"></div>'
                    +'<div class="ub life-title ub-f1 line-num2">'+level+'</div>'
                    +'<div class="ub life-content ">'+arr1[j]+'</div>';
                }
                html +='</div>';
        };
        
        html += '</div>'
    };
    $(".life-list").html(html);
    
    myscroll.refresh();
    
    //catrgoryTop = $("#topview")[0].offsetHeight;
}


/** 界面天气 更新时间  */
function rotateEvent(){
	var obj = $(".refresh");
	obj.addClass('rotate-css');

	var dt = new Date();
	var h = dt.getHours();
	var m = dt.getMinutes();
	m = (m<10)?'0'+m:m;
	$(".update-time").html(h+':'+m);

	setTimeout(function(){
		obj.removeClass('rotate-css');
	},3000);
}

/** 温度刷新  */
function refreshWeather(){
     
     $(".no-data").html('');
     
     rotateEvent();
     clearCanvas();
     
     getWeather();
     getPredict();
     getWeatherLife();
     //getWeatherNews();
     initListHeader();
     
}

/** 清空画布  */
function clearCanvas(){
     var cxt=canvas.getContext("2d");
     cxt.clearRect(0,0,canvas.width,canvas.height);
}

function infoView(){
    appcan.openWinWithUrl('weatherSituation','weatherSituation.html');
}

/*******************************************天气新闻  *************************************/

var categoryArr,categoryIndex=0;
var catrgoryTop=0;

function initListHeader(){
    var url =globalUrl+"weather/get_news_category.php";
    $.ajax({
        url: url,
        type: "GET",
        dataType: "json",
        success: function(data) {
          if(data.length>0){
              categoryArr = data;
              var arr=[];
              for (var i=0; i < categoryArr.length; i++) {
                  arr.push(categoryArr[i].category_name);
              };
              
              var btn = new selectbottom('labelList',{
                  'btnArr':arr,
                  isScroll:false,
                  font_size:'0.95em',
                  bgClr:'#fff',
                  zitiClr:'#767676',
                  sel_zitiClr:'#2286d2',
                  line_height:'2',
                  paddingCss:'.7em 0'
              },clickEvent);
              
              getWeatherNews(categoryArr[0].news_category_id);
          }
        }
    });
}


function clickEvent(index){
    $(".no-data").html('');
    categoryIndex = index;
    getWeatherNews(categoryArr[index].news_category_id);
}


function getWeatherNews(news_category_id){
    var url =globalUrl+"weather/get_news_list1.php?news_category_id="+news_category_id;
    console.log('newsInfo: ',url);
    $.ajax({
        url: url,
        type: "GET",
        dataType: "json",
        success: function(data) {
           if(data.length>0){
               setNewsHtml(data);
               //catrgoryTop = $("#topview")[0].offsetHeight;
           }else{
               $(".weather_news").html('');
               $(".no-data").html('<div class="ub ub-f1 ub-pc bc-head" style="font-size:.82em;color:#EBC560;padding:.4em 0 1em 0;">暂无新闻列表...</div>');
               myscroll.refresh();
               
               //catrgoryTop = $("#topview")[0].offsetHeight;
           }
        }
    });
}


function setNewsHtml(data){
     
     var html = '';
     var len = data.length;
     for (var i=0; i < len; i++) {
         var obj = data[i];
         if(obj.if_miui==0) html += imgTitleItem1(obj);
         else if(obj.if_miui==1) html += moreImg(obj);
     };
     
     html+='<div class="ub ub-f1 ub-pc bc-head" style="font-size:.8em;color:#EBC560;padding:.7em 0 1.2em 0;" onclick="lookMore()">查看更多...</div>'
     
     $(".weather_news").html(html);
     myscroll.refresh();
}

function lookMore(){
     setLocVal("weather_category_name",categoryArr[categoryIndex].category_name);
     setLocVal("weather_category_id",categoryArr[categoryIndex].news_category_id);
     appcan.openWinWithUrl("news_list","news_list.html");
}

/** 新闻缩略图 */
function imgTitleItem1(obj){
     var html='';
  
     html += '<div class="ub bc-head ubb" style="padding:.5em 0;border-bottom-color:#ebebeb;" onclick="openNewsDetail('+obj.news_id+')">'
              +'<div class="ub ub-img7 img-size-news" style="background-image:url(\''+obj.pic_uri+'\')"> </div>'
              +'<div class="ub ub-f1 ub-ver umar-r">'
                  +'<div class="ub line-num1 umar-t" style="font-size:.95em;">'+obj.news_title+'</div>'
                  +'<div class="ub ub-pe" style="font-size:.8em;color:#BABABA;margin-top:.4em;">';
                  
                  if(obj.if_top==1)  html +='<img src="../newsImages/zhiding.png" style="width:1.5em;margin-right:0.5em;">';
                  
                html += obj.create_date+'</div>'
              +'</div>'
          +'</div>'
     return html;
}

/** 多图 */
function moreImg(obj){
       var html='';
       html += '<div class="ub bc-head ub-ver ubb" style="padding:.6em .4em .4em .4em;border-bottom-color:#ebebeb;" onclick="openNewsDetail('+obj.news_id+')">'
               +'<div class="ub umar-b">'
                   +'<div class="ub ub-img7 more-img-height" style="width:32%;background-image:url(\''+obj.pic_uri+'\');margin-left:1%;"></div>'
                   +'<div class="ub ub-img7 more-img-height" style="width:32%;background-image:url(\''+obj.pic_uri1+'\');margin-left:1%;"></div>'
                   +'<div class="ub ub-img7 more-img-height" style="width:32%;background-image:url(\''+obj.pic_uri2+'\');margin-left:1%;"></div>'
               +'</div>'
               +'<div class="ub ub-f1" style="font-size:.95em;">'+obj.news_title+'</div>'
               +'<div class="ub ub-f1 ub-pe" style="font-size:.85em;color:#BABABA;">';
               
               if(obj.if_top==1)  html +='<img src="../newsImages/zhiding.png" style="width:1.5em;margin-right:0.5em;">';
               html += obj.create_date+'</div>'
           +'</div>';
     return html;
}


function openNewsDetail(news_id) {
     setLocVal("Info_url",globalUrl+"weather/get_news_detail.php?news_id="+news_id);
     appcan.openWinWithUrl("info","info.html");
}

function infoWarning(){
     var sP = window.getComputedStyle(document.body, null);
     var w = $('body')[0].offsetWidth;
     var h = $('body')[0].offsetHeight;
     uexWindow.openPopover({
       name:"weather_EarlyWarning1",
       url:"weather_EarlyWarning1.html",
       x:0,
       y:0,
       w:~~(sP.width),
       h:~~(sP.height)
     }); 
}

function windowClose(){
     if(_platformName=='iOS') uexWindow.setStatusBarTitleColor(1);
     appcan.window.close(-1);
}




